<?php

/*Import content data*/
if ( ! function_exists( 'bhp_import_files' ) ) :
function bhp_import_files() {
    return array(
        array(
            'import_file_name'             => 'Demo',
           
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/dummy-data/dummy-data-files/content.xml',
           
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/dummy-data/dummy-data-files/widget.wie',
          
            'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'inc/dummy-data/dummy-data-files/customizer.dat',
            'import_notice'                => esc_html__( 'Please waiting for a few minutes, do not close the window or refresh the page until the data is imported.', 'better-health' ),
        ),
        
    );   
}
add_filter( 'pt-ocdi/import_files', 'bhp_import_files' );
endif;

if ( ! function_exists( 'bhp_after_import' ) ) :
function bhp_after_import( $selected_import ) {

    if ( 'Demo' === $selected_import['import_file_name'] ) {
        //Set Menu
        $main_menu = get_term_by('name', 'Primary Menu', 'nav_menu');
        $social_menu = get_term_by('name', 'Social Menu', 'nav_menu');
        set_theme_mod( 'nav_menu_locations' , array( 
              'primary' => $main_menu->term_id, 
              'social' => $social_menu->term_id 
             ) 
        );

       //Set Front page
       $page = get_page_by_title( 'Home Page');
       if ( isset( $page->ID ) ) {
        update_option( 'page_on_front', $page->ID );
        update_option( 'show_on_front', 'page' );
       }


    }

    
}
add_action( 'pt-ocdi/after_import', 'bhp_after_import' );
endif;