<?php

/**

 * Dynamic css

 *

 * @package Canyon Themes

 * @subpackage Better Health

 *

 * @param null

 * @return void

 *

 */



if ( !function_exists('better_health_dynamic_css') ):

    function better_health_dynamic_css(){



    $better_health_top_header_color = esc_attr( better_health_get_option('better_health_top_header_background_color') );



    $better_health_top_footer_color = esc_attr( better_health_get_option('better_health_top_footer_background_color') );



    $better_health_bottom_footer_color = esc_attr( better_health_get_option('better_health_bottom_footer_background_color') );



    $better_health_primary_color = esc_attr( better_health_get_option('better_health_primary_color') );



   /*====================Top Scroll Color=====================*/

   

    $better_health_top_scroll_bg_color = esc_attr( better_health_get_option('better_health_top_scroll_bg_color') );

    $better_health_top_scroll_icon_color = esc_attr( better_health_get_option('better_health_top_scroll_icon_color') );



  /*====================Slider Title Text Color=====================*/



    $better_health_slider_text_color = esc_attr( better_health_get_option('better_health_slider_color_option') );

    $better_health_slider_description_color = esc_attr( better_health_get_option('better_health_slider_desc_color_option') );

    $custom_css = '';





  /*====================Menu Text Color=====================*/



    $better_health_menu_text_color = esc_attr( better_health_get_option('better_health_menu_text_color_option') );



  /*====================Menu Hover Color=====================*/



     $better_health_menu_text_hover_color = esc_attr( better_health_get_option('better_health_menu_hover_color_option') );



 /*====================Menu Active Color=====================*/

    

     $better_health_menu_active_color = esc_attr( better_health_get_option('better_health_menu_active_color_option') );



 /*====================Link Color=====================*/

    

     $better_health_link_color = esc_attr( better_health_get_option('better_health_link_color_option') );



     $better_health_link_hover_color = esc_attr( better_health_get_option('better_health_link_hover_color_option') );



    $custom_css = '';



  /*====================H1 to H6 Heading  Color=====================*/

   

   $better_health_h1_h6_color = esc_attr( better_health_get_option('better_health_heading_color_option') );



  /*====================Body Body Paragraph Color=====================*/

   

   $better_health_body_paragraph_color = esc_attr( better_health_get_option('better_health_body_paragraph_color_option') );



    /*====================Site Tagline Color=====================*/

   

    $better_health_site_tagline_color = esc_attr( better_health_get_option('better_health_site_tagline_color_option') );





  /*====================Site Title Color=====================*/

    

    $better_health_site_title_color = esc_attr( better_health_get_option('better_health_site_title_color_option') );



  /*====================Site Title Hover Color=====================*/

    

    $better_health_site_title_hover_color = esc_attr( better_health_get_option('better_health_site_title_hover_color_option') );





  /*====================Bottom Footer Text Color=====================*/

    

    $better_health_bottom_footer_text_color = esc_attr( better_health_get_option('better_health_bottom_footer_text_color') );





/*====================Top Footer Text Color=====================*/

    

    $better_health_top_footer_text_color = esc_attr( better_health_get_option('better_health_top_footer_text_color') );



/*====================Top Footer Title Color=====================*/

    

    $better_health_top_footer_title_color = esc_attr( better_health_get_option('better_health_top_footer_title_color') ); 



/*====================Top Header Email & Phone Color With Icon=====================*/

    

    $better_health_top_header_email_phone_with_icon_color = esc_attr( better_health_get_option('better_health_top_header_text_color') );       



/*====================Top Header Social Link Font Awesome Icon Color=====================*/

    

    $better_health_top_social_link_icon_color = esc_attr( better_health_get_option('better_health_top_header_fontawesome_color') );       



/*====================Top Header Background Color=====================*/

    

    $better_health_top_background_color = esc_attr( better_health_get_option('better_health_top_header_background_color') );       



/*====================Font Size=====================*/

  $better_health_site_title= esc_attr( better_health_get_option('better_health_site_title') );



  $better_health_site_description = esc_attr( better_health_get_option('better_health_site_description') );



  $better_health_menu_item_font_size = esc_attr( better_health_get_option('better_health_menu_item_font_size') );



  $better_health_body_font_size = esc_attr( better_health_get_option('better_health_body_font_size') );



    // Heading font size

  $better_health_h1_font_size = esc_attr( better_health_get_option('better_health_h1_font_size') );

  

  $better_health_h2_font_size = esc_attr( better_health_get_option('better_health_h2_font_size') );

  

  $better_health_h3_font_size = esc_attr( better_health_get_option('better_health_h3_font_size') );

  

  $better_health_h4_font_size = esc_attr( better_health_get_option('better_health_h4_font_size') );

  

  $better_health_h5_font_size = esc_attr( better_health_get_option('better_health_h5_font_size') );

  

  $better_health_h6_font_size = esc_attr( better_health_get_option('better_health_h6_font_size') );



    // font name



  $better_health_site_title_fonts_name = wp_kses_post( better_health_get_option('better_health_site_title_fonts_name') );



  $better_health_site_tagline_fonts_name = wp_kses_post( better_health_get_option('better_health_site_tagline_fonts_name') );



  $better_health_menu_fonts_name = wp_kses_post( better_health_get_option('better_health_menu_fonts_name') );





  $better_health_h1_h6_font_name = wp_kses_post( better_health_get_option('better_health_heading_fonts_family') );



  $better_health_body_fonts_family = wp_kses_post( better_health_get_option('better_health_body_fonts_family') );


  $bh_feature_odd_section_part_color = esc_attr( better_health_get_option('better_health_feature_odd_part_color_option') );

  $bh_feature_even_section_part = esc_attr( better_health_get_option('better_health_feature_even_part_color_option') );



  /*====================Dynamic Css =====================*/

    $custom_css .= ".top-header{

         background-color: " . $better_health_top_header_color . ";}

    ";



    $custom_css .= ".footer-top{

         background-color: " . $better_health_top_footer_color . ";}

    ";



    $custom_css .= ".footer-bottom{

         background-color: " . $better_health_bottom_footer_color . ";}

    ";





    $custom_css .= ".section-0-background,

     .btn-primary,

     .section-14-box .date,

     #quote-carousel a.carousel-control,

     .section-10-background,

     .footer-top .submit-bgcolor,

     .nav-links .nav-previous a, 

     .nav-links .nav-next a,

     .comments-area .submit,

     .inner-title,

     header .navbar-menu .navbar-nav>li>a:hover, 

      header .navbar-menu .navbar-nav>li.active >a:active,

      header .dropdown-menu > li > a:hover,

      header .dropdown-menu > .active > a, 

      header .dropdown-menu > .active > a:focus, 

      header .dropdown-menu > .active > a:hover,

      .section16 form input[type='submit'],

      .woocommerce a.button, 

      .woocommerce #respond input#submit.alt, 

      .woocommerce a.button.alt, 

      .woocommerce button.button.alt, 

      .woocommerce input.button.alt,

      .woocommerce nav.woocommerce-pagination ul li a:focus, 

      .woocommerce nav.woocommerce-pagination ul li a:hover, 

      .woocommerce nav.woocommerce-pagination ul li span.current,

      header .navbar-toggle,

      .front-blog-date .publish-month,

      .section-contact-full,

      .scrollup,

      .department-title-content .readmore,
      .section-2-box-right .readmore,
      a.readmore,
      .section3-background

     {

         background-color: " . $better_health_primary_color . ";

     }

    ";





 $custom_css .= " header .navbar-menu .navbar-nav>li> a:hover, 

                  header .navbar-menu .navbar-nav>li.active > a,

                  .navbar-default .navbar-nav > .active > a,

                  .navbar-default .navbar-nav > .active > a:focus,

                  .navbar-default .navbar-nav > .active > a:hover,

                  .widget ul li a:hover,a:hover, a:focus, a:active,

                  .section-14-box h3 a:hover,

                  .nav-links .nav-previous a:hover, 

                  .nav-links .nav-next a:hover,

                  header .navbar-menu .navbar-nav > .open > a, 

                  header .navbar-menu .navbar-nav > .open > a:focus, 

                  header .navbar-menu .navbar-nav > .open > a:hover,

                  .icon-box--description .fa,

                  a.readmore:hover,

                  .front-blog-date .publish-date,

                  a.contact-us:hover,

                  .department-title-content h3 a:hover, .portfolioFilter a

                  {

                      color: " . $better_health_primary_color . ";

                   }

                  ";


   /*primary color*/

    $custom_css .= " .portfolioFilter a

      {

        border: 1px solid " . $better_health_primary_color . ";

      }

      ";


      /*primary color*/

    $custom_css .= ".portfolioFilter a.current , .portfolioFilter a:hover, .line-middle:before, .line-middle:after, .line-middle:before, .line-middle:after, .line-middle , .working-hour-box-right

      {
     
        background: " . $better_health_primary_color . ";

      }

      ";


     $custom_css .= " .line-heading .line-left, .line-heading .line-right

      {

        border-top: 1px dashed  " . $better_health_primary_color . ";

      }

      ";



    $custom_css .= ".widget .tagcloud a:hover,

    .woocommerce nav.woocommerce-pagination ul li a:focus, 

    .woocommerce nav.woocommerce-pagination ul li a:hover, 

    .woocommerce nav.woocommerce-pagination ul li span.current

                 

                {



                   border: 1px solid " . $better_health_primary_color . ";

                }

                ";





    $custom_css .= ".section-14-box .underline,

   .item blockquote img,

   .widget .widget-title,

   .btn-primary,

   #quote-carousel .carousel-control.left, 

   #quote-carousel .carousel-control.right,

   .section-department-box img

   {

        border-color: " . $better_health_primary_color . ";}

    ";



  /*Top Scroll Color icon and background color*/

    $custom_css .= "a.scrollup

      {

       background-color: " . $better_health_top_scroll_bg_color . ";

      }

      ";



    $custom_css .= ".scrollup i

      {

        color: " . $better_health_top_scroll_icon_color . ";

      }

      ";



  /*Slider Title Text color*/

  $custom_css .= ".slide-sub-title

      {

        color: " . $better_health_slider_text_color . ";

      }

      ";


   /*Slider Description Text color*/

  $custom_css .= ".slider-content p

      {

        color: " . $better_health_slider_description_color . ";

      }

      ";



      /*Feature odd Part color options*/

  $custom_css .= " #section1 .col-md-3.col-sm-6:nth-child(odd), #section1 .col-md-4.col-sm-6:nth-child(odd), #section1 .col-md-6.col-sm-6:nth-child(odd), #section1 .col-md-12.col-sm-6:nth-child(odd), .additional-services .col-md-12 .col-md-4.col-sm-4:nth-child(odd)

      {

       background: " . $bh_feature_odd_section_part_color . ";

      }

      ";  


  /*Feature Even Part color options*/

  $custom_css .= "#section1 .col-md-3.col-sm-6:nth-child(even), #section1 .col-md-4.col-sm-6:nth-child(even), #section1 .col-md-6.col-sm-6:nth-child(even), #section1 .col-md-12.col-sm-6:nth-child(even), .additional-services .col-md-12 .col-md-4.col-sm-4:nth-child(even)

      {

       background: " . $bh_feature_even_section_part . ";

      }

      ";     




 /*Menu color options*/



  $custom_css .= ".main-menu .nav li a

      {

        font-family:".$better_health_menu_fonts_name.";

        color: " . $better_health_menu_text_color . ";

        font-size:" .$better_health_menu_item_font_size."px;

      }

      ";  



 /*Menu Hover color options*/



  $custom_css .= ".main-menu .nav li a:hover

      {

        color: " . $better_health_menu_text_hover_color . ";

      }

      ";  



  /*Menu Active color options*/



  $custom_css .= "ul.navbar-nav li.current-menu-item a

      {

        color: " . $better_health_menu_active_color . ";

      }

      "; 



 // link color

        $custom_css .= "a,.section-14-box .comments,.fornt-blog-title-cat .btn, .blog-list.section-14-box,.blog-list .section-14-box .comments a,span.cat_list

        {

            color: " . $better_health_link_color. ";

         }

        ";



        // link hover color

        $custom_css .= " a:hover, .comments a:hover,.section-14-box.comments a:hover, 

          .widget ul li a:hover,.fornt-blog-title-cat .btn a:hover,.blog-list .section-14-box .comments a:hover,span.cat_list:hover

         {

            color: " . $better_health_link_hover_color. ";

         }

        ";                



      //heading color

        $custom_css .= " h1, h2, h3, h4, h5, h6, .widget-area .section-title h2, .widget-area .section-title h6,#secondary .widget-title

         {

            color: " . $better_health_h1_h6_color. ";

         }

        ";



        //heading color

        $custom_css .= " h1 a, h2 a, h3 a, h4 a, h5 a, h6 a

         {

            color: " . $better_health_h1_h6_color. ";

            font-family :  " .$better_health_h1_h6_font_name . ";

            

         }

        ";



        // Body Paragraph color

        $custom_css .= " body p,body,.section-14-box p

                         {

                            font-family: " .$better_health_body_fonts_family . ";

                            color: " . $better_health_body_paragraph_color . ";

                            font-size :  " . $better_health_body_font_size . "px;

                           

                         }

                        ";



        // Site Tagline Color

        $custom_css .= " p.site-description

                         {



                            font-family: " .$better_health_site_tagline_fonts_name .";

                            color: " . $better_health_site_tagline_color . ";

                            font-size :  " . $better_health_site_description . "px;

                           

                         }

                        "; 

         // Site Title Color 

        $custom_css .= ".site-branding .site-title a

                         {

                            font-family: " . $better_health_site_title_fonts_name . ";

                            color: " . $better_health_site_title_color . ";

                            font-size :  " . $better_health_site_title . "px;

                           

                         }

                        ";                 



        // Site Title Color Hover

        $custom_css .= ".site-branding .site-title a:hover

                         {

                            color: " . $better_health_site_title_hover_color . ";

                           

                         }

                        ";  

      // Bottom Footer Text Color

        $custom_css .= ".footer-bottom .copyright

                         {

                            color: " . $better_health_bottom_footer_text_color . ";

                           

                         }

                        ";     

       

        /*====================Top Footer Background Color Dynamic Css =====================*/

        



        $custom_css .= " .section-4-box-text-cont p,

                         .footer-top ul li a,.footer-top p,

                         .footer-top .widget .tagcloud a:hover,

                         .footer-top .widget .tagcloud a,

                         .textwidget



                         {

                            color: " . $better_health_top_footer_text_color . ";

                         }



                      ";



            $custom_css .= ".footer-top .widget .tagcloud a



                         {

                            border: 1px solid " . $better_health_top_footer_text_color . ";

                            

                         }

                         ";



       

        /*==================== End of Top Footer Background Color Dynamic Css =====================*/

                                                            

      /*==================== Footer Top Title Color=====================*/      



       $custom_css .= " .footer-top .widget .widget-title,

                         .textwidget h1 , 

                         .textwidget h2, 

                         .textwidget h3, 

                         .textwidget h4 ,

                         .textwidget h5 , 

                         .textwidget h6

                         {

                            color: " . $better_health_top_footer_title_color . ";

                         }

                        ";

  //Top Header Email & Phone Color With Icon



     $custom_css .= " .icon-box--description .fa

                         {

                          color: " . $better_health_top_header_email_phone_with_icon_color . ";

                         }

                        ";

     $custom_css .= " .better-health-info .contact-detail2 li a, .better-health-info .contact-detail2 li a p

                         {

                          color: " . $better_health_top_header_email_phone_with_icon_color . ";

                         

                         }

                        ";

 //Top Header Social Link Font Awesome Icon Color



           $custom_css .= " .social-links  ul li a:before

                         {

                          color: " . $better_health_top_social_link_icon_color . ";

                         

                         }

                        ";

      //Top Header Background Color



           $custom_css .= " .top-header

                         {

                          color: " . $better_health_top_background_color . ";

                         

                         }

                        ";   





     /*====================Heading H1 to H6 Font Size =====================*/



              /*H1*/

                $custom_css.=" h1, .h1 {

                     font-size: ".$better_health_h1_font_size.'px'.";

                 }

                ";





                /*H2*/

                $custom_css.=" h2, .h2{

                     font-size: ".$better_health_h2_font_size.'px'.";

                    }

                ";



              /*H3*/

                $custom_css.="h3, .h3{

                     font-size: ".$better_health_h3_font_size.'px'.";

                    } 

                ";



              /*H4*/

                $custom_css.="h4,  .h4{

                     font-size: ".$better_health_h4_font_size.'px'.";

                    }

                ";



              /*H5*/

                $custom_css.="h5, .h5 {

                     font-size: ".$better_health_h5_font_size.'px'.";

                    }

                ";



            /*H6*/

                $custom_css.="h6,.h6



                {

                     font-size: ".$better_health_h6_font_size.'px'.";

                    }

                ";





    /*------------------------------------------------------------------------------------------------- */



    /*custom css*/



    wp_add_inline_style('better-health-style', $custom_css);



}

endif;

add_action('wp_enqueue_scripts', 'better_health_dynamic_css', 99);