<?php 

//=============================================================
// Color reset
//=============================================================
if ( ! function_exists( 'better_health_reset_colors' ) ) :

    function better_health_reset_colors($data) {

    	 $default=better_health_get_default_theme_options();

         set_theme_mod('better_health_top_header_background_color','#00AEF0');

         set_theme_mod('better_health_top_footer_background_color','#1A1E21');

         set_theme_mod('better_health_bottom_footer_background_color','#111315');

         set_theme_mod('better_health_primary_color','#00AEF0');

         set_theme_mod('better_health_primary_color','#00AEF0');

         set_theme_mod('better_health_slider_desc_color_option','#222222');

         set_theme_mod('better_health_feature_odd_part_color_option','#00aef0');

         set_theme_mod('better_health_feature_even_part_color_option','#05a1dc');

          // Font Size
        set_theme_mod('better_health_site_title',$default['better_health_site_title']);
        set_theme_mod('better_health_site_description', $default['better_health_site_description'] );
        set_theme_mod('better_health_menu_item_font_size',$default['better_health_menu_item_font_size']);
        set_theme_mod('better_health_body_font_size',$default['better_health_body_font_size']);
        set_theme_mod('better_health_h1_font_size', $default['better_health_h1_font_size'] );
        set_theme_mod('better_health_h2_font_size', $default['better_health_h2_font_size']);
        set_theme_mod('better_health_h3_font_size', $default['better_health_h3_font_size']);
        set_theme_mod('better_health_h4_font_size', $default['better_health_h4_font_size']);
        set_theme_mod('better_health_h5_font_size', $default['better_health_h5_font_size']);
        set_theme_mod('better_health_h6_font_size',$default['better_health_h6_font_size']);
       
        // top to button scroll
         set_theme_mod('better_health_top_scroll_icon_color',$default['better_health_top_scroll_icon_color']);
         set_theme_mod('better_health_top_scroll_bg_color',$default['better_health_top_scroll_bg_color']);

         //color
         set_theme_mod('better_health_link_color_option',$default['better_health_link_color_option']);
         set_theme_mod('better_health_link_hover_color_option',$default['better_health_link_hover_color_option'] );
         set_theme_mod('better_health_heading_color_option', $default['better_health_heading_color_option']);

        // Font Name
        set_theme_mod('better_health_site_title_fonts_name',$default['better_health_site_title_fonts_name']);
        set_theme_mod('better_health_site_tagline_fonts_name',$default['better_health_site_tagline_fonts_name']);
        set_theme_mod('better_health_menu_fonts_name',$default['better_health_menu_fonts_name']);
        set_theme_mod('better_health_body_fonts_family',$default['better_health_body_fonts_family']); 
        
        // Default Color Options
         set_theme_mod('better_health_top_header_text_color',$default['better_health_top_header_text_color']);
         set_theme_mod('better_health_top_header_fontawesome_color',$default['better_health_top_header_fontawesome_color']);
         set_theme_mod('better_health_top_footer_text_color',$default['better_health_top_footer_text_color']);
         set_theme_mod('better_health_top_footer_title_color',$default['better_health_top_footer_title_color']);
         set_theme_mod('better_health_bottom_footer_text_color',$default['better_health_bottom_footer_text_color']);
         set_theme_mod('better_health_site_tagline_color_option',$default['better_health_site_tagline_color_option']);
         set_theme_mod('better_health_site_title_color_option',$default['better_health_site_title_color_option']);
         set_theme_mod('better_health_site_title_hover_color_option',$default['better_health_site_title_hover_color_option']);
         set_theme_mod('better_health_body_paragraph_color_option',$default['better_health_body_paragraph_color_option']);
         set_theme_mod('better_health_menu_navbar_bg_color_option',$default['better_health_menu_navbar_bg_color_option']);
         set_theme_mod('better_health_menu_active_color_option',$default['better_health_menu_active_color_option']);
         set_theme_mod('better_health_menu_hover_color_option',$default['better_health_menu_hover_color_option']);
         set_theme_mod('better_health_menu_text_color_option',$default['better_health_menu_text_color_option']);
         set_theme_mod('better_health_slider_color_option',$default['better_health_slider_color_option']);
        
        set_theme_mod('better_health_color_reset_option','do-not-reset');
         

    }

endif;
add_action( 'better_health_colors_reset','better_health_reset_colors', 10 );


