<?php
/**
 * Dynamic css
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return null
 *
 */

if ( ! function_exists( 'capacious_dynamic_css')):
 function capacious_dynamic_css() {
   
    $emailcolor= esc_attr( capacious_get_option( 'capacious_top_header_phone_no_text_color'));
    $fontawesome_color=esc_attr( capacious_get_option( 'capacious_top_header_fontawesome_color'));
    $topbanner=esc_attr( capacious_get_option( 'capacious_top_header_banner_color'));
    $topscrollbgcolor=esc_attr( capacious_get_option( 'capacious_top_scroll_bg_color'));

/*=============== Testimonial Section =====================*/
  $overlay_color=esc_attr( capacious_get_option( 'capacious_overlay_color_setting'));

    $blockquote_border_color=esc_attr( capacious_get_option( 'capacious_testimonial_blockquote_border_color_option'));

    $blockquote_name_color=esc_attr( capacious_get_option( 'capacious_testimonial_blockquote_name_color_option'));

/*=============== End Part Testimonial Section =====================*/

/*=============== Team Section =====================*/

    $team_block_bg_color=esc_attr( capacious_get_option( 'capacious_team_section_background_color_option'));

    $team_block_text_color=esc_attr( capacious_get_option( 'capacious_team_section_text_color_option'));

    $team_block_text_hover_color=esc_attr( capacious_get_option( 'capacious_team_section_text_hover_color_option'));

    $team_block_bg_hover_color=esc_attr( capacious_get_option( 'capacious_team_section_background_hover_color_option'));

    $team_block_socila_font_color=esc_attr( capacious_get_option( 'capacious_team_section_social_font_color_option'));
  
/*=============== End Part Team Section =====================*/


    
/*=============== Comman Part Section =====================*/

    $topscrollhovercolor=esc_attr( capacious_get_option( 'capacious_top_scroll_hover_color'));
    $topscrolliconcolor=esc_attr( capacious_get_option( 'capacious_top_scroll_icon_color'));
   
    $button_color= esc_attr( capacious_get_option( 'capacious_button_color_option'));
    $button_text_color=esc_attr( capacious_get_option( 'capacious_button_text_color_option'));
    $body_font_family=wp_kses_post( capacious_get_option( 'capacious_body_fonts_family'));
    $body_font_size=esc_attr( capacious_get_option( 'capacious_body_font_size'));
    $link_color=esc_attr( capacious_get_option( 'capacious_link_color_option'));

    $link_hover_color=esc_attr( capacious_get_option( 'capacious_link_hover_color_option'));

    $preloader_bg_color=esc_attr( capacious_get_option( 'capacious_loader_bg_color'));
     
     $primary_color=esc_attr( capacious_get_option( 'capacious_primary_color_option'));

     $body_bg_color=esc_attr( capacious_get_option( 'capacious_bg_color_option'));
   
     $body_paragraph_color=esc_attr( capacious_get_option( 'capacious_body_paragraph_color_option'));

      $quote_block_bg_color=esc_attr( capacious_get_option( 'capacious_quote_color_option'));

      $service_icon_border_color=esc_attr( capacious_get_option( 'capacious_service_icon_border_color_option'));

      $section_header_before_border_color=esc_attr( capacious_get_option( 'capacious_h1_before_border_color_option'));

      $section_footer_before_border_color=esc_attr( capacious_get_option( 'capacious_h1_footer_before_border_color_option'));

      $sidebar_title_before_border_color=esc_attr( capacious_get_option( 'capacious_title_before_border_color_option'));

      $contact_section_border_border_color= esc_attr( capacious_get_option( 'capacious_contact_section_border_color_option'));

      $contact_section_border_font_color= esc_attr( capacious_get_option( 'capacious_contact_section_font_color_option'));



/*=============== End of Comman Part Section =====================*/


/*=============== Heading Tag Section =====================*/
    
     $h1_to_h6_color=esc_attr( capacious_get_option( 'capacious_heading_color_option'));

     $h1_font_size=esc_attr( capacious_get_option( 'capacious_h1_font_size'));

     $h2_font_size=esc_attr( capacious_get_option( 'capacious_h2_font_size'));

     $h3_font_size=esc_attr( capacious_get_option( 'capacious_h3_font_size'));

     $h4_font_size=esc_attr( capacious_get_option( 'capacious_h4_font_size'));

    $h5_font_size=esc_attr( capacious_get_option( 'capacious_h5_font_size'));

    $h6_font_size=esc_attr( capacious_get_option( 'capacious_h6_font_size'));

     $h1_to_h6_font_family=wp_kses_post( capacious_get_option( 'capacious_heading_fonts_family'));

/*===============End of Heading Tag  =====================*/


 /*==============Site Title, Tagline and Descritption Section =====================*/
     
     $site_title_color=  esc_attr( capacious_get_option( 'capacious_site_title_color_option'));

     $site_title_hover_color=esc_attr(capacious_get_option( 'capacious_site_title_hover_color_option'));

     $tagline_color=esc_attr( capacious_get_option( 'capacious_site_tagline_color_option'));
    
     $site_title_font_size=esc_attr( capacious_get_option( 'capacious_site_title'));

     $site_title_font_family=wp_kses_post( capacious_get_option( 'capacious_site_title_fonts_name'));
 
     $site_description_size=absint( capacious_get_option( 'capacious_site_description'));

     $site_description_font_family=wp_kses_post( capacious_get_option( 'capacious_site_tagline_fonts_name'));

 /*================End of Site Title and Descritption Section =====================*/



 /*====================Menu Section =====================*/
    $menu_font_size=esc_attr( capacious_get_option('capacious_menu_item_font_size'));
    $menu_font_family=  wp_kses_post( capacious_get_option('capacious_menu_fonts_name'));

    $menu_text_color=esc_attr( capacious_get_option('capacious_menu_text_color_option'));

    $navbar_bg_color= esc_attr( capacious_get_option('capacious_menu_navbar_bg_color_option'));

    $menu_active_color=esc_attr( capacious_get_option( 'capacious_menu_active_bg_color_option'));
   
    $menu_hover_color=esc_attr( capacious_get_option( 'capacious_menu_hover_bg_color_option'));


 /*====================End of Menu Section =====================*/


 
 /*====================Breadcrumb Section =====================*/
   
   $breadcrum_bg_color=esc_attr( capacious_get_option( 'capacious_breadcrumb_bg_color_option'));

 /*==================== End of Breadcrumb Section =====================*/



 /*====================Sidebar Section =====================*/
   
   $sidebar_bg_color=esc_attr( capacious_get_option(  'capacious_sidebar_bg_color_option'));

 /*==================== End of Sidebar Section =====================*/


 /*====================Footer Heading Color Section =====================*/

    $footer_section_color= esc_attr( capacious_get_option( 'capacious_footer_section_color'));
    $footer_section_top_border_color= esc_attr( capacious_get_option( 'capacious_footer_section_border_top_color'));
   $footer_section_copyright_color=esc_attr( capacious_get_option( 'capacious_footer_copyright_color'));
   
    $footer_heading_color=esc_attr( capacious_get_option( 'capacious_footer_heading_color_option'));

   $footer_text_color=esc_attr( capacious_get_option('capacious_footer_text_color_option'));

 /*==================== End of Footer Heading Color Section =====================*/



/*====================Sidebar Section =====================*/
   
   $sidebar_bg_color=esc_attr( capacious_get_option( 'capacious_sidebar_bg_color_option'));

  $sidebar_widget_title_color=esc_attr( capacious_get_option( 'capacious_sidebar_widget_title_color_option'));

  $sidebar_widget_text_color=esc_attr( capacious_get_option( 'capacious_widget_text_color_option'));

  $sidebar_widget_text_hover_color=esc_attr( capacious_get_option( 'capacious_widget_text_hover_color_option'));
  $sidebar_widget_border_bottom_color=esc_attr( capacious_get_option('capacious_widget_border_color_option'));


 /*==================== End of Sidebar Section =====================*/


    $custom_css='';


/*====================Font Family =====================*/

       $custom_css.=".site-title a {
         font-size: ".$site_title_font_size."px;
         font-family: ".$site_title_font_family.";}
    ";

     $custom_css.=".site-description {
        font-size: ".$site_description_size."px;
        font-family: ".$site_description_font_family.";}
    ";
/*====================Sidebar Section =====================*/



/*====================Sidebar Section =====================*/

   $custom_css.=".sidebar-background{
         background-color: ".$sidebar_bg_color.";}
    ";

    $custom_css.=".sidebar-background .widget .widget-title{
         color: ".$sidebar_widget_title_color.";}
    ";

     $custom_css.=".widget ul li a,.textwidget,.widget ul li{
         color: ".$sidebar_widget_text_color.";}
    ";

    $custom_css.=".widget ul li a:hover{
         color: ".$sidebar_widget_text_hover_color.";}
    ";

     $custom_css.=".widget.widget_meta a{
         color: ".$sidebar_widget_text_color.";
         background: ".$sidebar_bg_color.";
         border: 1px solid ".$sidebar_widget_border_bottom_color.";
     }
    ";

   
   $custom_css.=".widget.widget_meta a:hover{
         background: ".$sidebar_widget_text_hover_color.";
         border: 1px solid ".$sidebar_widget_border_bottom_color.";
     }
    ";

  $custom_css.=".widget  ul li{
          border-bottom: 1px solid ".$sidebar_widget_border_bottom_color.";}

    ";



/*==================== End of Sidebar Section =====================*/



/*====================Heading H1 to H6 Font Size =====================*/

  /*H1*/
    $custom_css.="h1, h1 a{
         font-size: ".$h1_font_size."px;}
    ";


    /*H2*/
    $custom_css.="h2, h2 a{
         font-size: ".$h2_font_size."px;
        }
    ";

  /*H3*/
    $custom_css.="h3, h3 a{
         font-size: ".$h3_font_size."px;
        }
    ";

  /*H4*/
    $custom_css.="h4, h4 a, .news-block .news-info h4 a{
         font-size: ".$h4_font_size."px;
        }
    ";

  /*H5*/
    $custom_css.="h5, h6 a{
         font-size: ".$h5_font_size."px;
        }
    ";

/*H6*/
    $custom_css.="h6, h6 a{
         font-size: ".$h6_font_size."px;
        }
    ";


/*====================End of H1 to H6 Font Size =====================*/

/*====================Common CSS =====================*/
    $custom_css .="
        h1, h2, h3, h4, h5, h6,.ceo-section .section-header h1, .news-block .news-info h4 {
            color: ".$h1_to_h6_color.";
           font-family: ".$h1_to_h6_font_family.";
        }
    ";

    $custom_css .="
        h1 a, h2 a, h3 a, h4 a, h5 a, h6 a, .news-block .news-info h4 a{
           color: ".$h1_to_h6_color.";
           font-family: ".$h1_to_h6_font_family.";
        }
    ";
    /*Site-title*/
    $custom_css .=".site-title a{
         color: ".$site_title_color.";
        }
    ";
    /*Site-title hover*/
    $custom_css .=".site-title a:hover{
         color: ".$site_title_hover_color.";
        }
    ";

/*Site-title Tagline*/
    $custom_css .=".site-description{
         color: ".$tagline_color.";
        }
    ";

    /*Menu*/
    $custom_css .=".navbar-nav li a{
            color:".$menu_text_color.";
            font-size:".$menu_font_size."px;
            font-family:".$menu_font_family.";
        }
    ";

/*Menu Hover*/
    $custom_css .=".navbar-nav li a:hover{
            color:".$menu_hover_color.";
        }
    ";
    /*Menu Active*/
   $custom_css .=".main-menu .current_page_item a{
            color:".$menu_active_color.";
      }
    ";
  /* Nav bar Background Color */

     $custom_css .=".navbar{
            background:".$navbar_bg_color.";
      }
    ";
   
    /*Body Paragraph Color*/
    $custom_css .="body p{
         font-family:". $body_font_family.";
         color: ".$body_paragraph_color.";
         font-size : ".$body_font_size."px;
        
        }
    ";

    $custom_css .="body, p {
        font-family:". $body_font_family.";
        font-size : ".$body_font_size."px;
        }
    ";

    /* Link  color*/
    $custom_css .=" a,
    .news-block .date{
            color:". $link_color.";
        }
    ";
    /* Link  color Hover*/
    $custom_css .=" a:hover,
    .news-block .date:hover{
            color:".$link_hover_color.";
        }
    ";
    /*Preloader background color*/
    $custom_css .=" .preloader{
            background-color:".$preloader_bg_color.";
        }
    ";

    $custom_css .="
        .section-header h1::before,
        .services-section .item .fa, 
        .what-we-section .item ul li .fa,
        #testimonial .item blockquote img,
        .contact-detail li p i,
        .footer-section .section-header h1::before{
            border-color:".$primary_color.";
        }
    ";
    $custom_css .="
        .btn-theme,
        .process,
        .team-section .item .content-wrap{
            background: ".$primary_color.";
        }
    ";
/*==================== // Primary Color End ========================*/
    /*background*/
    $custom_css .=".contact-detail2 li a {
         color: ".$emailcolor.";
        }
    ";
    $custom_css .=".top-header {
         background:".$topbanner.";
       }
    ";
    $custom_css .=".contact-detail2 i{ 
            border: 1px solid ".$fontawesome_color.";
            color: ".$fontawesome_color.";

        }
    ";
    $custom_css .=".top-header .social-links  ul li a:before{
            border: 1px solid ".$fontawesome_color.";
            color: ".$fontawesome_color.";
        }
    ";

    /*=============================================================================================*/

    /* Top Scroll Background Color */
    $custom_css .="a.scroll-top {
            background:". $topscrollbgcolor.";
            color: ".$topscrolliconcolor.";
        }
    ";

    /* Top Scroll Hover Color*/
    $custom_css .="a.scroll-top:hover {
        background:".$topscrollhovercolor.";
        color: ".$topscrolliconcolor.";

       }
    ";

    /* Footer Section  Color Option*/
    $custom_css .=".footer-section .footer-bottom {
            background:". $footer_section_color.";
            border-top: 1px solid ".$footer_section_top_border_color.";
        }
    ";


 /* Footer Section Heading Color*/
    $custom_css .=".footer-section .foot-widget .widget h1.widget-title {
          
            color:".$footer_heading_color.";
        }
    ";

/* Top Footer  Color*/
    $custom_css .=".foot-widget .widget ul li a, .textwidget, .widget ul li, .foot-widget .textwidget p {
          
            color:".$footer_text_color.";
        }
    ";




    /* Footer Section  Copyright Color Option*/
    $custom_css .=".footer-bottom .copyright {
            color: ".$footer_section_copyright_color.";
        }
    ";

    /* Button Color Option*/
    $custom_css .="
        .btn-theme, 
        button, 
        input[type=\"button\"], 
        input[type=\"reset\"], 
        input[type=\"submit\"], 
        .nav-links .nav-previous, 
        .nav-links .nav-next, 
        .cat-links a {
            color:".$button_text_color.";
            background:".$button_color.";
        }
    ";
    /* Button Color Option Hover*/
    $custom_css .="
        .btn-theme, 
        button, 
        input[type=\"button\"], 
        input[type=\"reset\"], 
        input[type=\"submit\"], 
        .nav-links .nav-previous, 
        .nav-links .nav-next, 
        .cat-links a {
            color:".$button_text_color.";
            background:".$button_color.";
        }
    ";

    /* Body font-family*/
    $custom_css .=" body{
        font-family: ".$body_font_family.";
        font-size: ". $body_font_size."px;
        }
    ";

//    Ramesh work

    /* Body Background color*/
    $custom_css .=" body{
            background:".$body_bg_color.";
        }
    ";


    /* Process Background Color*/
    $custom_css .=" .process,.purchase-now{
            background:".$quote_block_bg_color.";
        }
    ";
    /* Section-Header h1::before Border Color*/
    $custom_css .=".section-header h1::before {
        border-bottom: 5px solid ".$section_header_before_border_color.";
        }
    ";
    /* Section-Footer h1::before Border Color Footer*/
    $custom_css .=".footer-section .widget .widget-title::before {
        border-bottom: 3px solid ".$section_footer_before_border_color.";
        }
    ";

    /* Services and what-we-section icon color and border*/
    $custom_css .=" .services-section .item .fa, .what-we-section .item ul li .fa {
            border: 1px solid ".$service_icon_border_color.";
        }
    ";
    /* Team section block background and font color*/
    $custom_css .=" .team-section .item .content-wrap{
            background: ".$team_block_bg_color." none repeat scroll 0 0;
            color:".$team_block_text_color.";
        }
    ";
    /* Team section block background hover and font color*/
    $custom_css .=".hvr-bounce-to-top::before {
            background: ".$team_block_bg_hover_color.";
             color: ".$team_block_text_hover_color.";
        }
    ";
    /* Team section social font color and font color*/
    $custom_css .=" .hvr-bounce-to-top::before {
            background: ".$team_block_bg_hover_color.";
        }
    ";
/* Team section social font color and font color*/
     $custom_css .=".team-section .item .social li a {
            color: ".$team_block_socila_font_color.";
        }
    ";

    /* Testimonial section background RGBA  color*/
    $custom_css .=" .over-bg {
            background:".$overlay_color.";
        }
    ";
    /* Testimonial section blockquote border  color*/
    $custom_css .=" #testimonial .item blockquote img {
            border: 3px solid ".$blockquote_border_color.";
        }
    ";
    /* Testimonial section blockquote name  color*/
    $custom_css .=" 
        #testimonial .item blockquote small {
            color: ".$blockquote_name_color.";
        }
    ";

    
    /* contact section contact-detail border and font color*/
    $custom_css .=".contact-detail li p i{
            border: 1px solid ".$contact_section_border_border_color.";
            color: ".$contact_section_border_font_color.";
       }
    ";

  /* contact section contact-detail border and font color*/
    $custom_css .=".contact-detail li p  {
              color: ".$contact_section_border_font_color.";
       }
    ";

    /* Inner Page Header breadcrumb Background color*/
    $custom_css .=".inner-title {
            background: ".$breadcrum_bg_color.";
        }
    ";

    /* Sidebar title before border color*/
    $custom_css .=".widget .widget-title::before {
            border-bottom: 3px solid ".$sidebar_title_before_border_color.";
        }
    ";
    /*==================== Primary Color ========================*/
    $custom_css .=" a,
        .news-block .date,
        .services-section .item .fa,
        .what-we-section .item ul li .fa,
        #testimonial .item blockquote small,
        {
            color:".$primary_color.";
        }
    ";

    /*------------------------------------------------------------------------------------------------- */

   
    /*custom css*/
   
    wp_add_inline_style( 'capacious-style', $custom_css);

}
endif;
add_action( 'wp_enqueue_scripts', 'capacious_dynamic_css', 99);