<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package capacious
 */
// retrieving Customizer Value 
$section_option = capacious_get_option( 'capacious_homepage_google_map_option');
if( $section_option != 'hide' ) {
	$latitude = capacious_get_option( 'capacious_google_map_latitude' );
	$longitude = capacious_get_option( 'capacious_google_map_longitude' );
	
?>
          <div class="map">
             <input type="hidden" id="lan" name="latitude" value="<?php echo  esc_html($latitude); ?>">
             <input type="hidden" id="lng" name="longitude" value="<?php echo  esc_html($longitude); ?>">
             <div id="map" style="width:100%; height:400px;"> </div>
          </div>
          
 <?php } ?>