<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package capacious
 */
// retrieving Customizer Value 
$section_option = capacious_get_option( 'capacious_homepage_what_we_offer_option');
if( $section_option != 'hide' ) {
	$section_title = capacious_get_option( 'capacious_what_we_offer_section_title' );
	$section_sub_title = capacious_get_option( 'capacious_what_we_offer_section_sub_title' );
	$section_we_offer_description = capacious_get_option( 'capacious_what_we_offer_section_description');
  $section_image = capacious_get_option( 'capacious_what_we_offer_section_image');
  $show_link = capacious_get_option( 'capacious_what_we_offer_show_link_option' );
  $what_we_offer_section_id = capacious_get_option( 'capacious_what_we_offer_section_id');
  if( $what_we_offer_section_id)
  {
?>
	  <section id="<?php echo esc_attr($what_we_offer_section_id); ?>" class="what-we-section section-padding">
      <div class="container">
        <div class="row why-list">
         <?php
            if(!empty($section_image))
            {
         ?>
            <div class="col-md-5 col-xs-12 hidden-xs wow fadeInLeft">
              <figure class="fluid-image-outer">
                <img src="<?php echo esc_url($section_image);?>" alt=""> 
              </figure>
            </div>
          <?php } ?>
          <div class="col-md-6 col-xs-12 col-sm-6 item-2 wow fadeInRight col-md-offset-1">
            <header class="page-header section-header">
              <h1><?php echo esc_html($section_title); ?></h1>
              <span><?php echo esc_html($section_sub_title) ?></span>
             </header> 
              <p><?php echo esc_html($section_we_offer_description); ?></p>
                <div class="col-md-6 col-xs-12 item">
                  <ul>
                 <?php 
                  $i=1;
                  $capacious_default_what_we_offer_icon = array( 'fa-desktop', 'fa-mobile', 'fa-print', 'fa-flash', 'fa-music','fa-support');
                   $arraysize= array( 'First', 'Second', 'Third', 'Forth', 'Fifth', 'Sixth' );
                     foreach ( $arraysize as $icon_key => $icon_value) { 
                    $offers_icon=capacious_get_option('capacious_what_we_offer_icon_'.$icon_key);
                    $we_offers_page_id_value = capacious_get_option( 'capacious_what_we_offer_page_id_'.$icon_key);
                  if( !empty( $we_offers_page_id_value ) ) { ?>
                       
                          <?php
                           
                            $we_offers_page_query = new WP_Query( array( 'page_id' => $we_offers_page_id_value ) );
                            if( $we_offers_page_query->have_posts() ) {
                              while ( $we_offers_page_query->have_posts() ) {
                                $we_offers_page_query->the_post();
                                if($i%4==0)
                                {
                                   echo " </ul></div>";
                                   //exit();
                                   echo "   <div class='col-md-6 col-xs-12 item'><ul>";
                                } 
                              
                       ?>
                                 <li> 
                                   <?php if(!empty($offers_icon) ) { ?>
                                      <i class="fa <?php echo esc_attr($offers_icon); ?>"></i>
                                    <?php } ?>

                                     <?php
                                         if($show_link==1)
                                         { ?>
                                               <a href="<?php the_permalink();?>"><?php the_title(); ?></a>
                                       <?php  }else
                                         {  ?>
                                            <?php the_title(); ?>

                                      <?php }
                                        ?>
                                 </li>
                        <?php                
                        $i++; }

                     }  
                    wp_reset_postdata();  ?>
                       

               <?php  }
              } 

              ?>
               </ul>
                    </div>
           </div>

         </div>

      </div>
    </section>
  <?php }} ?>