<?php
/**
 * The template for displaying archive pages
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Canyon Themes
 * @subpackage Better Health
 */
$better_health_breadcrump_option = better_health_get_option('better_health_breadcrumb_setting_option');
$better_health_designlayout = better_health_get_option('better_health_sidebar_layout_option');
$better_health_blog_layout = better_health_get_option('better_health_blog_layout_option');
get_header(); ?>

    <section id="inner-title" class="inner-title"  <?php echo $header_style; ?>>
        <div class="container">
            <div class="row">
                <div class="col-md-7">
                    <h2> <?php the_archive_title('<h2 class="page-title">', '</h2>') ?></h2>
                </div>
                <?php
              if ($better_health_breadcrump_option == "simple")
              {
                ?>
                <div class="col-md-12">
                    <div class="breadcrumbs">
                        <?php
                        if('advanced' == $better_health_breadcrump_option){
                            if( function_exists('bcn_display'))
                            {
                                echo '<div id="better-health-breadcrumbs"><div class="breadcrumb-container">';
                                bcn_display();
                                echo "</div></div>";
                            }
                            else
                            {
                                breadcrumb_trail();
                            }
                        }
                        else
                        {
                            breadcrumb_trail();
                        }
                        ?>
                    </div>
                </div>
          <?php } ?>

            </div>
        </div>
    </section>
    <section id="section14" class="section-margine blog-list">
        <div class="container">
            <div class="row">
                <div class="col-sm-<?php if ($better_health_designlayout == 'no-sidebar') {
                    echo "12";
                } else {
                    echo "12";
                } ?> col-md-<?php if ($better_health_designlayout == 'no-sidebar') {
                    echo "12";
                } else {
                    echo "9";
                } ?> left-block">
               <?php if($better_health_blog_layout=="masonry"){ ?> 
                       <div id="masonry-loop">
                    <?php
                }
                    if (have_posts()) :
                        /* Start the Loop */
                        while (have_posts()) : the_post();

                            /*
                             * Include the Post-Format-specific template for the content.
                             * If you want to override this in a child theme, then include a file
                             * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                             */
                            get_template_part('template-parts/content', get_post_format());

                        endwhile;
                        if($better_health_blog_layout=="masonry"){
                         ?>
                     </div>
                      <?php
                     }
                       
                        echo '<div class="col-sm-12 col-md-12 clearfix">';
                        echo   ' <ul class="pagination">';
                        do_action('better_health_action_navigation');
                        echo    '</ul>';
                        echo  '</div>';

                    else :

                        get_template_part('template-parts/content', 'none');

                    endif; ?>

                </div><!--div -->
                <?php if ($better_health_designlayout != 'no-sidebar') { ?>
                    <div class="col-xs-12 col-sm-12 col-md-3">
                        <?php get_sidebar(); ?>
                    </div>
                <?php } ?>
            </div>
        </div><!-- div -->
    </section>
<?php get_footer();
