<?php
/**
		 * Theme Fonts Option
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_panel(
	        'better_health_fonts_options',
	        	array(
                        'priority'       => 7,
                        'capability'     => 'edit_theme_options',
                        'theme_supports' => '',
                        'title'          => esc_html__( 'Theme Fonts Option', 'better-health' ),
	                  )
	    );


 /*-------------------------------------------------------------------------------------------*/
		/**
		 * Site Title Font Family
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'better_health_site_title_fonts_option_section',
		        array(
                        'title'		=> esc_html__( 'Site Title Font Family', 'better-health' ),
                        'description'   => sprintf( __( 'Google Fonts can be found here: %1$sgoogle.com/fonts%2$s.', 'better-health' ), '<a href="https://google.com/fonts" target="_blank">','</a>' ),
                        'panel'     => 'better_health_fonts_options',
                        'priority'  => 6,
                     )
	    );  
            
        /**
		 * Site Title Font Family
	    */
          $wp_customize->add_setting(
	        'better_health_site_title_fonts_section',
	            array(
                        'default'           => $default['better_health_site_title_fonts_section'],
                        'sanitize_callback' => 'sanitize_text_field',
                        'transport' => 'refresh'
                     )
	    );

	    $wp_customize->add_control('better_health_site_title_fonts_section',
            array(
                     'label'     => esc_html__('Font name/style/sets', 'better-health' ),
                    'section'   => 'better_health_site_title_fonts_option_section',
                    'type'      => 'text',
                    'priority'  => 10
                 )
        );

        /**
		 * Site Title Font family
	    */
	    $wp_customize->add_setting(
	        'better_health_site_title_fonts_name',
	            array(
                        'default'           =>  $default['better_health_site_title_fonts_name'],
                        'sanitize_callback' => 'sanitize_text_field',
                        'transport' => 'refresh'
		          	 )
	    );
		 $wp_customize->add_control('better_health_site_title_fonts_name',
             array(
                     'label'     => esc_html__('Font family', 'better-health' ),
                    'section'   => 'better_health_site_title_fonts_option_section',
                    'type'      => 'text',
                    'priority'  => 10
                  )
         );
		 
/*-------------------------------------------------------------------------------------------*/
		/**
		 * Site Tagline Font Family
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'better_health_site_tagline_fonts_option_section',
		        array(
                        'title'		=> esc_html__( 'Site Tagline Font Family', 'better-health' ),
                        'description'   => sprintf( __( 'Google Fonts can be found here: %1$sgoogle.com/fonts%2$s.', 'better-health' ), '<a href="https://google.com/fonts" target="_blank">','</a>' ),
                        'panel'     => 'better_health_fonts_options',
                        'priority'  => 6,
		              )
	    );  
    
      /**
		 * Site Tagline Font Family
	   */
          $wp_customize->add_setting(
	        'better_health_site_tageline_fonts_section',
	            array(
                        'default'           => $default['better_health_site_tageline_fonts_section'],
                        'sanitize_callback' => 'sanitize_text_field',
                        'transport' => 'refresh'
                      )
	    );
		 $wp_customize->add_control('better_health_site_tageline_fonts_section',
             array(
                     'label'     => esc_html__('Font name/style/sets', 'better-health' ),
                    'section'   => 'better_health_site_tagline_fonts_option_section',
                    'type'      => 'text',
                    'priority'  => 10
                  )
         );

     /**
		 * Site Tagline Font family
	   */
	   $wp_customize->add_setting(
	        'better_health_site_tagline_fonts_name',
	            array(
                        'default'           => $default['better_health_site_tagline_fonts_name'],
                        'sanitize_callback' => 'sanitize_text_field',
                        'transport' => 'refresh'
                     )
	    );
		 $wp_customize->add_control('better_health_site_tagline_fonts_name', array(
	         'label'     => esc_html__('Font family', 'better-health' ),
	        'section'   => 'better_health_site_tagline_fonts_option_section',
	        'type'      => 'text',
	        'priority'  => 10

	    ) );  	 
		 

/*-------------------------------------------------------------------------------------------*/
		/**
		 * Menu Font Family
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'better_health_menu_fonts_option_section',
		        array(
                        'title'		=> esc_html__( 'Menu Font Family', 'better-health' ),
                        'description'   => sprintf( __( 'Google Fonts can be found here: %1$sgoogle.com/fonts%2$s.', 'better-health' ), '<a href="https://google.com/fonts" target="_blank">','</a>' ),
                        'panel'     => 'better_health_fonts_options',
                        'priority'  => 6,
		             )
	    );  
            
       /**
		 * Menu Font Family
	   */
          $wp_customize->add_setting(
	        'better_health_menu_fonts_section',
	            array(
                            'default'           => $default['better_health_menu_fonts_section'],
                            'sanitize_callback' => 'sanitize_text_field',
                            'transport'         => 'refresh'
                     )
	    );



		 $wp_customize->add_control('better_health_menu_fonts_section',
             array(
                     'label'     => esc_html__('Font name/style/sets', 'better-health' ),
                    'section'   => 'better_health_menu_fonts_option_section',
                    'type'      => 'text',
                    'priority'  => 10
                  )
         );

     /**
		 * Menu Font family
	   */
	   $wp_customize->add_setting(
	        'better_health_menu_fonts_name',
	            array(
                        'default'           => $default['better_health_menu_fonts_name'],
                        'sanitize_callback' => 'sanitize_text_field',
                        'transport' => 'refresh'
		         	 )
	    );
		 $wp_customize->add_control('better_health_menu_fonts_name',
             array(
                     'label'     => esc_html__('Font family', 'better-health' ),
                    'section'   => 'better_health_menu_fonts_option_section',
                    'type'      => 'text',
                    'priority'  => 10
                  )
         );

	  /*-------------------------------------------------------------------------------------------*/
		/**
		 * Blog Fonts family    
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'better_health_body_fonts_option',
		        array(
                        'title'		=> esc_html__( 'Body Fonts Option', 'better-health' ),
                        'panel'     => 'better_health_fonts_options',
                        'priority'  => 6,
                      )
	    );  
    
      /**
		 * Blog Fonts family Section Title
	  */

        $wp_customize->add_setting(
	        'better_health_body_fonts_section_title',
	            array(
                        'default'           =>  $default['better_health_body_fonts_section_title'],
                        'sanitize_callback' => 'sanitize_text_field',
                        'transport' => 'refresh'
		              )
	    );
	    
		 $wp_customize->add_control('better_health_body_fonts_section_title',
             array(
                    'description'   => sprintf( __( 'Google Fonts can be found here: %1$sgoogle.com/fonts%2$s.', 'better-health' ), '<a href="https://google.com/fonts" target="_blank">','</a>' ),
                    'section'   => 'better_health_body_fonts_option',
                    'type'      => 'hidden',
                    'priority'  => 10
                  )
         );
    
       /**
		 * Body Fonts Name
	   */
          $wp_customize->add_setting(
	        'better_health_body_fonts_section',
	            array(
                        'default'           => $default['better_health_body_fonts_section'],
                        'sanitize_callback' => 'sanitize_text_field',
                        'transport' => 'refresh'
		          	  )
	    );
		 $wp_customize->add_control('better_health_body_fonts_section',
             array(
                     'label'     => __('Font name/style/sets', 'better-health' ),
                    'section'   => 'better_health_body_fonts_option',
                    'type'      => 'text',
                    'priority'  => 10
                  )
         );

     /**
		 * Body Fonts Family
	   */
	   $wp_customize->add_setting(
	        'better_health_body_fonts_family',
	            array(
                        'default'           =>  $default['better_health_body_fonts_family'],
                        'sanitize_callback' => 'sanitize_text_field',
                        'transport' => 'refresh'
		         	  )
	    );

        $wp_customize->add_control('better_health_body_fonts_family',
             array(
                     'label'     => __('Font family', 'better-health' ),
                    'section'   => 'better_health_body_fonts_option',
                    'type'      => 'text',
                    'priority'  => 10
                  )
         );

/*-------------------------------------------------------------------------------------------*/
		/**
		 * Heading Fonts family    
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'better_health_heading_fonts_option',
		        array(
                        'title'		=> esc_html__( 'Heading Fonts Option', 'better-health' ),
                        'panel'     => 'better_health_fonts_options',
                        'priority'  => 6,
		             )
	    );  
    
      /**
		 * Heading Fonts family Section Title
	  */
        $wp_customize->add_setting(
	        'better_health_heading_fonts_section_title',
	            array(
                        'default'           => $default['better_health_heading_fonts_section_title'],
                        'sanitize_callback' => 'sanitize_text_field',
                        'transport' => 'refresh'
		          	 )
	    );
	    
		 $wp_customize->add_control('better_health_heading_fonts_section_title',
             array(
                       'description'   => sprintf( __( 'Google Fonts can be found here: %1$sgoogle.com/fonts%2$s.', 'better-health' ), '<a href="https://google.com/fonts" target="_blank">','</a>' ),
                        'section'   => 'better_health_heading_fonts_option',
                        'type'      => 'hidden',
                        'priority'  => 10
                   )
         );
    
       /**
		 * Heading Fonts Name
	   */
          $wp_customize->add_setting(
	        'better_health_heading_fonts_name',
	            array(
                        'default'           =>  $default['better_health_heading_fonts_name'],
                        'sanitize_callback' => 'sanitize_text_field',
                        'transport' => 'refresh'
		         	  )
	    );
		 $wp_customize->add_control('better_health_heading_fonts_name',
             array(
                     'label'     => __('Font name/style/sets', 'better-health' ),
                    'section'   => 'better_health_heading_fonts_option',
                    'type'      => 'text',
                    'priority'  => 10
                  )
         );

     /**
		 * Blog Fonts Family
	   */
	   $wp_customize->add_setting(
	        'better_health_heading_fonts_family',
	            array(
                        'default'           => $default['better_health_heading_fonts_family'],
                        'sanitize_callback' => 'sanitize_text_field',
                        'transport' => 'refresh'
		         	 )
	    );

		 $wp_customize->add_control('better_health_heading_fonts_family',
             array(
                     'label'     => __('Font family', 'better-health' ),
                    'section'   => 'better_health_heading_fonts_option',
                    'type'      => 'text',
                    'priority'  => 10

	    ) );  	 
      
       /*-------------------------------------------------------------------------------------------*/
		/**
		 * Fonts Size Options
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'better_health_fonts_size_option',
		        array(
                        'title'		=> esc_html__( 'Fonts Size Option', 'better-health' ),
                        'panel'     => 'better_health_fonts_options',
                        'priority'  => 6,
		              )
	    );  
    
      /**
		 * Site title Font Size
	  */
        $wp_customize->add_setting(
	        'better_health_site_title',
	            array(
                        'default'           => $default['better_health_site_title'],
                        'sanitize_callback' => 'absint',
                        'transport' => 'refresh'
		       	     )
	    );
	    
		 $wp_customize->add_control('better_health_site_title',
             array(
                    'label'     => esc_html__('Site title', 'better-health' ),
                    'section'   => 'better_health_fonts_size_option',
                    'type'      => 'number',
                    'priority'  => 10
                  )
         );
    
       /**
		 * Site Description Font Size
	   */
          $wp_customize->add_setting(
	        'better_health_site_description',
	            array(
                        'default'           =>  $default['better_health_site_description'],
                        'sanitize_callback' => 'absint',
                        'transport' => 'refresh'
		          	 )
	    );
		 $wp_customize->add_control('better_health_site_description',
             array(
                     'label'     => esc_html__('Site Description', 'better-health' ),
                    'section'   => 'better_health_fonts_size_option',
                    'type'      => 'number',
                    'priority'  => 10
                   )
         );

     /**
		 * Menu Item Font Size
	   */
	   $wp_customize->add_setting(
	        'better_health_menu_item_font_size',
	            array(
                        'default'           => $default['better_health_menu_item_font_size'],
                        'sanitize_callback' => 'absint',
                        'transport' => 'refresh'
		          	 )
	    );

		 $wp_customize->add_control('better_health_menu_item_font_size',
             array(
                     'label'     => esc_html__('Menu Text', 'better-health' ),
                    'section'   => 'better_health_fonts_size_option',
                    'type'      => 'number',
                    'priority'  => 10
                  )
         );

        /**
         * Body font size
         */
        $wp_customize->add_setting(
            'better_health_body_font_size',
            array(
                     'default'           => $default['better_health_body_font_size'],
                    'sanitize_callback' => 'absint',
                    'transport'=> 'refresh'
                  )
        );

        $wp_customize->add_control('better_health_body_font_size',
            array(
                    'label'     => esc_html__('Body Font Size', 'better-health' ),
                    'section'   => 'better_health_fonts_size_option',
                    'type'      => 'number',
                    'priority'  => 10
                 )
        );


      /**
		 * H1 Font Size
	   */
	   $wp_customize->add_setting(
	        'better_health_h1_font_size',
	            array(
                        'default'           => $default['better_health_h1_font_size'],
                        'sanitize_callback' => 'absint',
                        'transport' => 'refresh'
		          	  )
	    );

		 $wp_customize->add_control('better_health_h1_font_size',
             array(
                     'label'     => esc_html__('H1 Font Size', 'better-health' ),
                    'section'   => 'better_health_fonts_size_option',
                    'type'      => 'number',
                    'priority'  => 10
                   )
         );


      /**
		 * H2 Font Size
	   */
	   $wp_customize->add_setting(
	        'better_health_h2_font_size',
	            array(
                        'default'           => $default['better_health_h2_font_size'],
                        'sanitize_callback' => 'absint',
                        'transport' => 'refresh'
		          	 )
	    );

		 $wp_customize->add_control('better_health_h2_font_size',
             array(
                     'label'     => esc_html__('H2 Font Size', 'better-health' ),
                    'section'   => 'better_health_fonts_size_option',
                    'type'      => 'number',
                    'priority'  => 10
                  ) );


	  /**
		 * H3 Font Size
	   */
	   $wp_customize->add_setting(
	        'better_health_h3_font_size',
	            array(
                        'default'           =>  $default['better_health_h3_font_size'],
                        'sanitize_callback' => 'absint',
                        'transport' => 'refresh'
		              )
	    );

		 $wp_customize->add_control('better_health_h3_font_size',
             array(
                    'label'     => esc_html__('H3 Font Size', 'better-health' ),
                    'section'   => 'better_health_fonts_size_option',
                    'type'      => 'number',
                    'priority'  => 10
      	          )
         );


	  /**
		 * H4 Font Size
	   */
	   $wp_customize->add_setting(
	        'better_health_h4_font_size',
	            array(
                        'default'           => $default['better_health_h4_font_size'],
                        'sanitize_callback' => 'absint',
                        'transport' => 'refresh'
		          	 )
	    );

		 $wp_customize->add_control('better_health_h4_font_size',
              array(
                     'label'     => esc_html__('H4 Font Size', 'better-health' ),
                    'section'   => 'better_health_fonts_size_option',
                    'type'      => 'number',
                    'priority'  => 10
                   )
         );

     /**
		 * H5 Font Size
	   */
	   $wp_customize->add_setting(
	        'better_health_h5_font_size',
	            array(
	                'default'           => $default['better_health_h5_font_size'],
	                'sanitize_callback' => 'absint',
	                'transport' => 'refresh'
		       	)
	    );

		 $wp_customize->add_control('better_health_h5_font_size',
             array(
                     'label'     => esc_html__('H5 Font Size', 'better-health' ),
                    'section'   => 'better_health_fonts_size_option',
                    'type'      => 'number',
                    'priority'  => 10
                  )
         );


     /**
		 * H6 Font Size
	   */
	   $wp_customize->add_setting(
	        'better_health_h6_font_size',
	            array(
                        'default'           => $default['better_health_h6_font_size'],
                        'sanitize_callback' => 'absint',
                        'transport' => 'refresh'
		          	  )
	    );

		 $wp_customize->add_control('better_health_h6_font_size',
             array(
                     'label'     => esc_html__('H6 Font Size', 'better-health' ),
                    'section'   => 'better_health_fonts_size_option',
                    'type'      => 'number',
                    'priority'  => 10
                   )
         );


