<?php
/**
 * The template for displaying all pages
 * Template Name: Our Treatment Gallery
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Canyon Themes
 * @subpackage Better Health
 */
get_header();
$better_health_breadcrump_option = better_health_get_option('better_health_breadcrumb_setting_option')?>
<section id="inner-title" class="inner-title"  <?php echo $header_style; ?>>
    <div class="container">
        <div class="row">
            <div class="col-md-8"><h2><?php the_title(); ?></h2>
            </div>
            <?php
              if ($better_health_breadcrump_option == "simple")
              {
                ?>
                <div class="col-md-12">
                    <div class="breadcrumbs">
                        <?php
                        if('advanced' == $better_health_breadcrump_option){
                            if( function_exists('bcn_display'))
                            {
                                echo '<div id="better-health-breadcrumbs"><div class="breadcrumb-container">';
                                bcn_display();
                                echo "</div></div>";
                            }
                            else
                            {
                                breadcrumb_trail();
                            }
                        }
                        else
                        {
                            breadcrumb_trail();
                        }
                        ?>
                    </div>
                </div>
          <?php } ?>
        </div>
    </div>
</section>

<?php

if (is_active_sidebar('better-health-our-work-page')) {
    dynamic_sidebar('better-health-our-work-page');
}

get_footer();
