<?php
/**
Template Name:Blog
 */
get_header(); 
$breadcrump_option=capacious_get_option( 'capacious_breadcrump_option');
?>
  <div class="header-space"></div>
    <section id="inner-title" class="inner-title">
        <div class="container">
            <div class="row">
                <div class="col-md-6 col-lg-6"><h2><?php echo esc_html__("Blog","capacious"); ?></h2></div>
                <div class="col-md-6 col-lg-6">
                    <div class="breadcrumbs">
                        <?php 
                            if( 'disable' !=$breadcrump_option){
                                  if('advanced' == $breadcrump_option){
                                    if( function_exists('bcn_display')){
                                      echo '<div id="capacious-plus-breadcrumbs"><div class="breadcrumb-container">';
                                      bcn_display();
                                      echo "</div></div>";
                                    }
                                    else{
                                     capacious_pro_breadcrumb_trail();
                                    }
                                  }
                                  else{
                                   capacious_pro_breadcrumb_trail();
                                  }
                              }
                            ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <div id="main">
        <section id="single-section" class="blog single-section">
            <div class="section-padding">
                <div class="container">
                    <div class="row">
                        <div class="item">
                            <?php
                            if ( have_posts() ) : ?>

                                <header class="page-header">
                                    <?php
                                        the_archive_title( '<h1 class="page-title">', '</h1>' );
                                        the_archive_description( '<div class="archive-description">', '</div>' );
                                    ?>
                                </header><!-- .page-header -->

                                <?php
                                /* Start the Loop */
                                while ( have_posts() ) : the_post();

                                    /*
                                     * Include the Post-Format-specific template for the content.
                                     * If you want to override this in a child theme, then include a file
                                     * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                                     */
                                    get_template_part( 'template-parts/content', get_post_format() );

                                endwhile;
                                '<div class="col-sm-12 col-md-12 clearfix">'; 
                                  ' <ul class="pagination">';
                                            the_posts_pagination( array(
                                            'mid_size' => 4,
                                            'prev_text' => __( 'Prev', 'capacious' ),
                                            'next_text' => __( 'Next', 'capacious' ),
                                        ) );
                                    '/ul>';     
                               '</div>';
                            else :

                                get_template_part( 'template-parts/content', 'none' );

                            endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div><!-- #primary -->
<?php
get_footer();