<?php 

/**
		 * Color Option
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_panel(
	        'capacious_color_info', 
	        	array(
	        		'priority'       => 7,
	            	'capability'     => 'edit_theme_options',
	            	'theme_supports' => '',
	            	'title'          => esc_html__( 'Theme Color Option', 'capacious' ),
	            ) 
	    );



/*-------------------------------------------------------------------------------------------*/
  /**
	 * Top Header Color Option
	 *
	 * @since 1.0.0
	 */

    $wp_customize->add_section(
	        'capacious_sidebar_color_option',
		        array(
		            'title'		=> esc_html__( 'Sidebar Color Option', 'capacious' ),
		            'panel'     => 'capacious_color_info',
		            'priority'  => 6,
		        )
	    );  


      $wp_customize->add_setting(
	        'capacious_sidebar_bg_color_option', 
	            array(
	                'default' => $default['capacious_sidebar_bg_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_sidebar_bg_color_option', array(
				'label' => esc_html__( 'Sidebar Background Color', 'capacious' ),
				'section' => 'capacious_sidebar_color_option',
				 'priority' => 14,
				
			) ) ); 	



	   $wp_customize->add_setting(
	        'capacious_sidebar_widget_title_color_option', 
	            array(
	                'default' => $default['capacious_sidebar_widget_title_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	                
		       	)
	    );
	
	    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_sidebar_widget_title_color_option', array(
				'label' => esc_html__( 'Sidebar Widget Title Color', 'capacious' ),
				'section' => 'capacious_sidebar_color_option',
				 'priority' => 14,
				
			) ) ); 



	 $wp_customize->add_setting(
	        'capacious_widget_text_color_option', 
	            array(
	                'default' => $default['capacious_widget_text_color_option'] ,
	                'sanitize_callback' => 'sanitize_hex_color',
	              
		       	)
	    );
	
	    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_widget_text_color_option', array(
				'label' => esc_html__( 'Sidebar Widget Text Color', 'capacious' ),
				'section' => 'capacious_sidebar_color_option',
				 'priority' => 14,
				
			) ) ); 	



	     $wp_customize->add_setting(
	        'capacious_widget_text_hover_color_option', 
	            array(
	                'default' => $default['capacious_widget_text_hover_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	              
		       	)
	    );
	
	    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_widget_text_hover_color_option', array(
				'label' => esc_html__( 'Sidebar Widget Text Hover Color', 'capacious' ),
				'section' => 'capacious_sidebar_color_option',
				 'priority' => 14,
				
			) ) ); 	



	    $wp_customize->add_setting(
	        'capacious_widget_border_color_option', 
	            array(
	                'default' => $default['capacious_widget_border_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	                
		       	)
	    );
	
	    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_widget_border_color_option', array(
				'label' => esc_html__( 'Sidebar Widget Border Bottom Color', 'capacious' ),
				'section' => 'capacious_sidebar_color_option',
				 'priority' => 14,
				
			) ) ); 


   	$wp_customize->add_setting(
	        'capacious_title_before_border_color_option', 
	            array(
	                'default' => $default['capacious_title_before_border_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_title_before_border_color_option', array(
				'label' => esc_html__( 'Sidebar title before border color', 'capacious' ),
				'section' => 'capacious_sidebar_color_option',
				 'priority' => 14,
				
			) ) );

	  /*-------------------------------------------------------------------------------------------*/
		/**
		 * Top Header Color Option
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_top_header_color_option',
		        array(
		            'title'		=> esc_html__( 'Top Header Color Option', 'capacious' ),
		            'panel'     => 'capacious_color_info',
		            'priority'  => 6,
		        )
	    );  
    
        $wp_customize->add_setting(
	        'capacious_top_header_fontawesome_color', 
	            array(
	               'default' => $default['capacious_top_header_fontawesome_color'],
	               'sanitize_callback' => 'sanitize_hex_color',
	             
		       	)
	    );
	    

	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_top_header_fontawesome_color', array(
				'label' => esc_html__( 'Font Awesome Color', 'capacious' ),
				'section' => 'capacious_top_header_color_option',
				 'priority' => 9,
				
			) ) );  

        $wp_customize->add_setting(
	        'capacious_top_header_banner_color', 
	            array(
	                'default' => $default['capacious_top_header_banner_color'],
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	   	        
        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_top_header_banner_color', array(
				'label' => esc_html__( 'Top Banner Color', 'capacious' ),
				'section' => 'capacious_top_header_color_option',
				 'priority' => 9,
				
			) ) );  

         $wp_customize->add_setting(
	        'capacious_top_header_phone_no_text_color', 
	            array(
	                'default' =>$default['capacious_top_header_phone_no_text_color'] ,
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	    
        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_top_header_phone_no_text_color', array(
				'label' => esc_html__( 'Top Header Contact Info', 'capacious' ),
				'section' => 'capacious_top_header_color_option',
				 'priority' => 8,
				
			) ) );  


/*----------------------------------------------------------------------------------------------*/

/**
		 * Top Scroll Color Option
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_top_scroll_color_option',
		        array(
		            'title'		=> esc_html__( 'Top Scroll Color Option', 'capacious' ),
		            'panel'     => 'capacious_color_info',
		            'priority'  => 6,
		        )
	    );  
    
         // Overlay Color Picker setting.
    $wp_customize->add_setting(
        'capacious_top_scroll_bg_color',
        array(
           'default'     =>  $default['capacious_top_scroll_bg_color'],
           'type'       => 'theme_mod',
           'capability'  => 'edit_theme_options',
          

        )
    );


    // Overlay Color Picker control.
    $wp_customize->add_control(
        new Capacious_Customize_Overlay_Color_Control(
            $wp_customize,
            'capacious_top_scroll_bg_color',
            array(
               'label' => esc_html__( 'Top Scroll Background Color', 'capacious' ),
				'section' => 'capacious_top_scroll_color_option',
				 'priority' => 9,
                
            )
        )
    );


	
/* 
-----------------------------------------------------------------------------*/

/**
		 * Footer Section  Color Option
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_footer_section_color_option',
		        array(
		            'title'		=> esc_html__( 'Footer Section Color Option', 'capacious' ),
		            'panel'     => 'capacious_color_info',
		            'priority'  => 6,
		        )
	    );  

	  $wp_customize->add_setting(
	        'capacious_footer_section_color', 
	            array(
	                'default' => $default['capacious_footer_section_color'],
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_footer_section_color', array(
				'label' => esc_html__( 'Footer Section Color Option', 'capacious' ),
				'section' => 'capacious_footer_section_color_option',
				 'priority' => 9,
				
			) ) );  

/*-------------------------------------------------------------------------------
  Footer Section Border Top  Color Option.
*/	
	 $wp_customize->add_setting(
	        'capacious_footer_section_border_top_color', 
	            array(
	                'default' => $default['capacious_footer_section_border_top_color'],
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_footer_section_border_top_color', array(
				'label' => esc_html__( 'Footer Section Border Top Color Option', 'capacious' ),
				'section' => 'capacious_footer_section_color_option',
				 'priority' => 9,
				
			) ) );    


/*-------------------------------------------------------------------------------
  Footer Section Copy Right text Color Option.
*/	  

   $wp_customize->add_setting(
	        'capacious_footer_copyright_color', 
	            array(
	                'default' => $default['capacious_footer_copyright_color'],
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_footer_copyright_color', array(
				'label' => esc_html__( 'Copyright Color Option', 'capacious' ),
				'section' => 'capacious_footer_section_color_option',
				 'priority' => 9,
				
			) ) );




/*----------------------------------------------------------------------------------------------*/

/**
		 * Button  Color Option
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_button_color_option',
		        array(
		            'title'		=> esc_html__( 'Button Color Option', 'capacious' ),
		            'panel'     => 'capacious_color_info',
		            'priority'  => 6,
		        )
	    );  
    
        $wp_customize->add_setting(
	        'capacious_button_color_option', 
	            array(
	                'default' => $default['capacious_button_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	              
		       	)
	    );
	    

	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_button_color_option', array(
				'label' => esc_html__( 'Button Color', 'capacious' ),
				'section' => 'capacious_button_color_option',
				 'priority' => 9,
				
			) ) );  

/**
		 * Button Text Color Option
		 *
		 * @since 1.0.0
		 */
	 
	  $wp_customize->add_setting(
	        'capacious_button_text_color_option', 
	            array(
	                'default' => $default['capacious_button_text_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	    

	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_button_text_color_option', array(
				'label' => esc_html__( 'Button Text Color', 'capacious' ),
				'section' => 'capacious_button_color_option',
				 'priority' => 9,
				
			) ) );  


/*------------------------------------------------------------------
   Top Scroll Icon Color
 */

   $wp_customize->add_setting(
	        'capacious_top_scroll_icon_color', 
	            array(
	                'default' => $default['capacious_top_scroll_icon_color'],
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	    

	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_top_scroll_icon_color', array(
				'label' => esc_html__( 'Top Scroll Icon Color', 'capacious' ),
				'section' => 'capacious_top_scroll_color_option',
				 'priority' => 9,
				
			) ) );    


/* 
-----------------------------------------------------------------------------*/

/**
		 * Basic Colors Options 
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_basic_color_option',
		        array(
		            'title'		=> esc_html__( 'Basic Colors Options ', 'capacious' ),
		            'panel'     => 'capacious_color_info',
		            'priority'  => 4,
		        )
	    );  

	  $wp_customize->add_setting(
	        'capacious_bg_color_option', 
	            array(
	                'default' => $default['capacious_bg_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	                
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_bg_color_option', array(
				'label' => esc_html__( 'Body Background Color', 'capacious' ),
				'section' => 'capacious_basic_color_option',
				 'priority' => 13,
				
			) ) ); 

	$wp_customize->add_setting(
	        'capacious_site_title_color_option', 
	            array(
	                'default' => $default['capacious_site_title_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_site_title_color_option', array(
				'label' => esc_html__( 'Site Title Color', 'capacious' ),
				'section' => 'capacious_basic_color_option',
				 'priority' => 14,
				
			) ) ); 


    $wp_customize->add_setting(
	        'capacious_site_title_hover_color_option', 
	            array(
	                'default' => $default['capacious_site_title_hover_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_site_title_hover_color_option', array(
				'label' => esc_html__( 'Site Title Hover Color', 'capacious' ),
				'section' => 'capacious_basic_color_option',
				 'priority' => 14,
				
			) ) ); 

      $wp_customize->add_setting(
	        'capacious_site_tagline_color_option', 
	            array(
	                'default' => $default['capacious_site_tagline_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_site_tagline_color_option', array(
				'label' => esc_html__( 'Site Tagline Color', 'capacious' ),
				'section' => 'capacious_basic_color_option',
				 'priority' => 14,
				
			) ) ); 	


      $wp_customize->add_setting(
	        'capacious_body_paragraph_color_option', 
	            array(
	                'default' => $default['capacious_body_paragraph_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	              
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_body_paragraph_color_option', array(
				'label' => esc_html__( 'Body Paragraph Color', 'capacious' ),
				'section' => 'capacious_basic_color_option',
				 'priority' => 14,
				
			) ) ); 						 

   $wp_customize->add_setting(
	        'capacious_heading_color_option', 
	            array(
	                'default' => $default['capacious_heading_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_heading_color_option', array(
				'label' => esc_html__( 'Heading Color', 'capacious' ),
				 'description' 	=> esc_html__( 'H1-H6 color', 'capacious' ),
				'section' => 'capacious_basic_color_option',
				 'priority' => 14,
				
			) ) ); 

	
	$wp_customize->add_setting(
	        'capacious_primary_color_option', 
	            array(
	                'default' => $default['capacious_primary_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	             
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_primary_color_option', array(
				'label' => esc_html__( 'Primary Color', 'capacious' ),
				'section' => 'capacious_basic_color_option',
				 'priority' => 14,
				
			) ) ); 


      $wp_customize->add_setting(
	        'capacious_link_color_option', 
	            array(
	                   'default' => $default['capacious_link_color_option'],
	                   'sanitize_callback' => 'sanitize_hex_color',
	                
		         	 )
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_link_color_option', array(
				'label' => esc_html__( 'Link Color', 'capacious' ),
				'section' => 'capacious_basic_color_option',
				 'priority' => 14,
				
			) ) ); 	 

   
     $wp_customize->add_setting(
	        'capacious_link_hover_color_option', 
	            array(
	                   'default' =>  $default['capacious_link_hover_color_option'],
	                   'sanitize_callback' => 'sanitize_hex_color',
	                 )
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_link_hover_color_option', array(
				'label' => esc_html__( 'Link Hover Color', 'capacious' ),
				'section' => 'capacious_basic_color_option',
				 'priority' => 14,
				
			) ) ); 	 			 



/* 
-----------------------------------------------------------------------------*/

/**
		 * Advanced Color Options
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_advanced_color_option',
		        array(
		            'title'		=> esc_html__( 'Advanced Color Options', 'capacious' ),
		            'panel'     => 'capacious_color_info',
		            'priority'  => 5,
		        )
	    );  

     $wp_customize->add_setting(
	        'capacious_menu_navbar_bg_color_option', 
	            array(
	                'default' => $default['capacious_menu_navbar_bg_color_option'] ,
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_menu_navbar_bg_color_option', array(
				'label' => esc_html__( 'Nav Bar Background Color', 'capacious' ),
				'section' => 'capacious_advanced_color_option',
				 'priority' => 13,
				
			) ) ); 



	  $wp_customize->add_setting(
	        'capacious_menu_active_bg_color_option', 
	            array(
	                'default' => $default['capacious_menu_active_bg_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_menu_active_bg_color_option', array(
				'label' => esc_html__( 'Menu Active Color', 'capacious' ),
				'section' => 'capacious_advanced_color_option',
				 'priority' => 13,
				
			) ) ); 

	$wp_customize->add_setting(
	        'capacious_menu_hover_bg_color_option', 
	            array(
	                'default' => $default['capacious_menu_hover_bg_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	                
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_menu_hover_bg_color_option', array(
				'label' => esc_html__( 'Menu Hover Color', 'capacious' ),
				'section' => 'capacious_advanced_color_option',
				 'priority' => 14,
				
			) ) ); 


    $wp_customize->add_setting(
	        'capacious_menu_text_color_option', 
	            array(
	                'default' => $default['capacious_menu_text_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_menu_text_color_option', array(
				'label' => esc_html__( 'Menu Text Color', 'capacious' ),
				'section' => 'capacious_advanced_color_option',
				 'priority' => 14,
				
			) ) ); 

      $wp_customize->add_setting(
	        'capacious_breadcrumb_bg_color_option', 
	            array(
	                'default' =>  $default['capacious_breadcrumb_bg_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	                'transport' => 'refresh'
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_breadcrumb_bg_color_option', array(
				'label' => esc_html__( 'Breadcrumb Background Color', 'capacious' ),
				'section' => 'capacious_advanced_color_option',
				 'priority' => 14,
				
			) ) ); 	




      $wp_customize->add_setting(
	        'capacious_quote_color_option', 
	            array(
	                'default' => $default['capacious_quote_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	             
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_quote_color_option', array(
				'label' => esc_html__( 'Quote Section Background Color', 'capacious' ),
				'section' => 'capacious_advanced_color_option',
				 'priority' => 14,
				
			) ) ); 	


	 
	 $wp_customize->add_setting(
	        'capacious_contact_section_border_color_option', 
	            array(
	                'default' =>  $default['capacious_contact_section_border_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_contact_section_border_color_option', array(
				'label' => esc_html__( 'Contact section contact detail border color', 'capacious' ),
				'section' => 'capacious_advanced_color_option',
				 'priority' => 14,
				
			) ) );   

	 $wp_customize->add_setting(
	        'capacious_contact_section_font_color_option', 
	            array(
	                'default' => $default['capacious_contact_section_font_color_option'] ,
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_contact_section_font_color_option', array(
				'label' => esc_html__( 'Contact section contact detail Font color', 'capacious' ),
				'section' => 'capacious_advanced_color_option',
				 'priority' => 14,
				
			) ) );  


    $wp_customize->add_setting(
	        'capacious_service_icon_border_color_option', 
	            array(
	                'default' => $default['capacious_service_icon_border_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	                
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_service_icon_border_color_option', array(
				'label' => esc_html__( 'Services and what-we-section icon and border color', 'capacious' ),
				'section' => 'capacious_advanced_color_option',
				'priority' => 14,
				
			) ) ); 

	  $wp_customize->add_setting(
	        'capacious_h1_before_border_color_option', 
	            array(
	                'default' => $default['capacious_h1_before_border_color_option'] ,
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_h1_before_border_color_option', array(
				'label' => esc_html__( 'Section-Header H1 Before Border Color', 'capacious' ),
				'section' => 'capacious_advanced_color_option',
				'priority' => 14,
				
			) ) ); 


	  $wp_customize->add_setting(
	        'capacious_h1_footer_before_border_color_option', 
	            array(
	                'default' => $default['capacious_h1_footer_before_border_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_h1_footer_before_border_color_option', array(
				'label' => esc_html__( 'Section-Footer H1 Before Border Color', 'capacious' ),
				'section' => 'capacious_advanced_color_option',
				'priority' => 14,
				
			) ) ); 



   $wp_customize->add_setting(
	        'capacious_footer_heading_color_option', 
	            array(
	                'default' => $default['capacious_footer_heading_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	              
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_footer_heading_color_option', array(
				'label' => esc_html__( 'Footer Heading Color', 'capacious' ),
				 'description' 	=> esc_html__( 'Footer H1-H6 color', 'capacious' ),
				'section' => 'capacious_advanced_color_option',
				 'priority' => 14,
				
			) ) ); 

	
	$wp_customize->add_setting(
	        'capacious_footer_text_color_option', 
	            array(
	                'default' => $default['capacious_footer_text_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_footer_text_color_option', array(
				'label' => esc_html__( 'Top Footer Text Color', 'capacious' ),
				'section' => 'capacious_advanced_color_option',
				 'priority' => 14,
				
			) ) ); 



	
/*-------------------------------------------------------------------------------------------------*/

 /**
		 * HomePage Settings Panel on customizer
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_panel(
	        'capacious_homepage_settings_panel', 
	        	array(
	        		'priority'       => 5,
	            	'capability'     => 'edit_theme_options',
	            	'theme_supports' => '',
	            	'title'          => esc_html__( 'HomePage Settings', 'capacious' ),
	            ) 
	    );


/*********************** Home page content show/Hide **********************/

/**
		 * Hide Home Page Conent
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_hide_home_content_section',
		        array(
		            'title'		=> esc_html__( 'Hide Front Page Content', 'capacious' ),
		            'panel'     => 'capacious_homepage_settings_panel',
		            'priority'  => 6,
		        )
	    );

	    /**
	     * Switch option to Hide Home Page Conent
	     *
	     * @since 1.0.0
	     */

        $wp_customize->add_setting(
	        'capacious_homepage_hide_front_page_option',
		        array(
		            'default' => $default['capacious_homepage_hide_front_page_option'] ,
		            'sanitize_callback' => 'capacious_sanitize_select',
		        )
	    );

	    $choices= capacious_homepage_hide_front_page_option();
	    $wp_customize->add_control(
	        'capacious_homepage_hide_front_page_option',
	            array(
		            'type' => 'radio',
		            'label' => esc_html__( 'Hide Front Page Content', 'capacious' ),
		            'description' 	=> esc_html__( 'You may want to hide front page content and want to show only Feature section. Check this to hide front page content.', 'capacious' ),
		            'section' => 'capacious_hide_home_content_section',
		            'choices'   => $choices,
		            'priority' =>5
	            )
	    );



/*-------------------------------------------------------------------------------------------------*/
		/**
		 * Slider Section
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_slider_section',
		        array(
		            'title'		=> esc_html__( 'Slider Section', 'capacious' ),
		            'panel'     => 'capacious_homepage_settings_panel',
		            'priority'  => 6,
		        )
	    );

	    /**
	     * Switch option for Homepage Slider Section
	     *
	     * @since 1.0.0
	     */

 $wp_customize->add_setting(
	        'capacious_homepage_slider_option',
		        array(
		            'default' => $default['capacious_homepage_slider_option'] ,
		            'sanitize_callback' => 'capacious_sanitize_select',
		        )
	    );
  $choices = capacious_homepage_slider_option(); 
	    $wp_customize->add_control(
	        'capacious_homepage_slider_option',
	            array(
		            'type' => 'radio',
		            'label' => esc_html__( 'Slider Option', 'capacious' ),
		            'description' 	=> esc_html__( 'Show/hide option for homepage Slider Section.', 'capacious' ),
		            'section' => 'capacious_slider_section',
		            'choices'   => $choices,
		            'priority' =>5
	            )
	    );
     

     /**
	     * Field for Section Id
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_slider_section_id', 
	            array(
	                'default' =>  $default['capacious_slider_section_id'],
	                'sanitize_callback' => 'sanitize_text_field',
	                
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_slider_section_id',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Home Section Id', 'capacious' ),
		            'section' => 'capacious_slider_section',
		            'priority' => 6
	            )
	    );

  /**
	     * Dropdown available category for homepage slider
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_slider_cat_id',
		        array(
		            'default' =>  $default['capacious_slider_cat_id'],
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'absint'
		        )
	    );
	   $wp_customize->add_control( new Capacious_Customize_Category_Control(
	        $wp_customize,
	        'capacious_slider_cat_id', 
		        array(
		            'label' => esc_html__( 'Slider Category', 'capacious' ),
		            'description' => esc_html__( 'Select cateogry for Homepage Slider Section', 'capacious' ),
		            'section' => 'capacious_slider_section',
		            'priority' => 8
		        )
		    )
	    );


    /**
	     * Upload image control for section
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_slider_section_image',
		        array(
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'esc_url_raw'
		        )
	    );

	    $wp_customize->add_control( new WP_Customize_Image_Control(
	        $wp_customize,
	        'capacious_slider_section_image',
	        	array(
	            	'label'      => esc_html__( 'Section  Background Image', 'capacious' ),
	               	'section'    => 'capacious_slider_section',
	               	'priority' => 9
	           	)
	       	)
	   	);

    /**
	     * Field for Read More button text
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_slider_get_started_txt', 
	            array(
	                'default' =>  $default['capacious_slider_get_started_txt'],
	                'sanitize_callback' => 'sanitize_text_field',
	               
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_slider_get_started_txt',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Get Started Button', 'capacious' ),
		            'section' => 'capacious_slider_section',
		            'priority' => 15
	            )
	    );



/*----------------------------------------------------------------------------------------------*/
		/**
		 * Quote Section
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_quote_section',
		        array(
		            'title'		=> esc_html__( 'Quote Section', 'capacious' ),
		            'panel'     => 'capacious_homepage_settings_panel',
		            'priority'  => 9,
		        )
	    );

	    /**
	     * Switch option for Homepage Quote Section
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_homepage_quote_option',
		        array(
		            'default' =>  $default['capacious_homepage_quote_option'],
		            'sanitize_callback' => 'capacious_sanitize_select',
		        )
	    );
  $choices = capacious_homepage_quote_option();
 $wp_customize->add_control(
	        'capacious_homepage_quote_option',
	            array(
		            'type' => 'radio',
		            'label' => esc_html__( ' Quote Section Option', 'capacious' ),
		            'description' 	=> esc_html__( 'Show/hide option for Homepage Quote Section.', 'capacious' ),
		            'section' => 'capacious_quote_section',
		            'choices'   => $choices,
		            'priority' =>5
	            )
	    );


	    /**
	     * Field for quote title
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_quote_section_title', 
	            array(
	                'default' => $default['capacious_quote_section_title'],
	                'sanitize_callback' => 'sanitize_text_field',
	                 )
	    );
	    $wp_customize->add_control(
	        'capacious_quote_section_title',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Quote Title', 'capacious' ),
		            'section' => 'capacious_quote_section',
		            'priority' => 14
	            )
	    );

	    	    
     /**
	     * Field for Get In Touch button text
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_quote_get_a_quate_txt', 
	            array(
	                'default' => $default['capacious_quote_get_a_quate_txt'],
	                'sanitize_callback' => 'sanitize_text_field',
	                'transport' => 'refresh'
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_quote_get_a_quate_txt',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Get a quote Button', 'capacious' ),
		            'section' => 'capacious_quote_section',
		            'priority' => 15
	            )
	    );

   /**
	     * Field for Get In Touch button text Link
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_quote_get_a_quate_link', 
	            array(
	                'default' =>  $default['capacious_quote_get_a_quate_link'],
	                'sanitize_callback' => 'esc_url_raw',
	               
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_quote_get_a_quate_link',
	            array(
		            'type' => 'url',
		            'label' => esc_html__( 'Get a quote Button Link', 'capacious' ),
		            'section' => 'capacious_quote_section',
		            'priority' => 15
	            )
	    );


/*----------------------------------------------------------------------------------------------*/
		/**
		 * About Section
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_about_section',
		        array(
		            'title'		=> esc_html__( 'About Section', 'capacious' ),
		            'panel'     => 'capacious_homepage_settings_panel',
		            'priority'  => 9,
		        )
	    );

	    /**
	     * Switch option for Homepage About Section
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_homepage_about_option',
		        array(
		            'default' => $default['capacious_homepage_about_option'],
		            'sanitize_callback' => 'capacious_sanitize_select',
		        )
	    );
   
        $choices=capacious_homepage_about_option();
        $wp_customize->add_control(
	        'capacious_homepage_about_option',
	            array(
		            'type' => 'radio',
		            'label' => esc_html__( 'About Section Option', 'capacious' ),
		            'description' 	=> esc_html__( 'Show/hide option for Homepage About Section.', 'capacious' ),
		            'section' => 'capacious_about_section',
		            'choices'   =>  $choices,
		            'priority' =>5
	            )
	    );

       /**
	     * Field for section Id
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_about_section_id', 
	            array(
	                'default' => $default['capacious_about_section_id'],
	                'sanitize_callback' => 'sanitize_text_field',
	               
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_about_section_id',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'About Us Section Id', 'capacious' ),
		            'section' => 'capacious_about_section',
		            'priority' => 11
	            )
	    );

	    /**
	     * Field for section title
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_about_section_title', 
	            array(
	                'default' =>  $default['capacious_about_section_title'],
	                'sanitize_callback' => 'sanitize_text_field',
	                
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_about_section_title',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Section Title', 'capacious' ),
		            'section' => 'capacious_about_section',
		            'priority' => 11
	            )
	    );

	    /**
	     * Field for section sub title
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_about_section_sub_title', 
	            array(
	                'default' =>  $default['capacious_about_section_sub_title'],
	                'sanitize_callback' => 'sanitize_text_field',
	               
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_about_section_sub_title',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Section Sub Title', 'capacious' ),
		            'section' => 'capacious_about_section',
		            'priority' => 12
	            )
	    );

	    /**
	     * Dropdown available pages for homepage about section
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_about_page_id',
		        array(
		            'default' => $default['capacious_about_page_id'],
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'absint'
		        )
	    );
	    $wp_customize->add_control(
	        'capacious_about_page_id', 
		        array(
		        	'type' => 'dropdown-pages',
		            'label' => esc_html__( 'About us Page', 'capacious' ),
		            'description' => esc_html__( 'Select page for Homepage About Section', 'capacious' ),
		            'section' => 'capacious_about_section',
		            'priority' => 13
		        )
	    );

	    
     /**
	     * Field for Read More button text
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_about_read_more_txt', 
	            array(
	                'default' => $default['capacious_about_read_more_txt'],
	                'sanitize_callback' => 'sanitize_text_field',
	                'transport' => 'refresh'
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_about_read_more_txt',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Read More Button', 'capacious' ),
		            'section' => 'capacious_about_section',
		            'priority' => 15
	            )
	    );
	    
	    
	    /**
	     * Field for No of Words
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_about_character_limit', 
	            array(
	                'default' => $default['capacious_about_character_limit'],
	                'sanitize_callback' => 'absint',
	               	)
	    );
	    $wp_customize->add_control(
	        'capacious_about_character_limit',
	            array(
		            'type' => 'number',
		            'label' => esc_html__( 'Show No of Words', 'capacious' ),
		            'section' => 'capacious_about_section',
		            'priority' => 15
	            )
	    );


/*---------------------------------------------------------------------------------------*/
		/**
		 * Meet Our Chairman*
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_our_chairman_section',
		        array(
		            'title'		=> esc_html__( 'Meet Our Chairman', 'capacious' ),
		            'panel'     => 'capacious_homepage_settings_panel',
		            'priority'  => 9,
		        )  
	    );

	    /**
	     * Switch option for Meet Our Chairman Section
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_homepage_our_chairman_option',
		        array(
		            'default' => $default['capacious_homepage_our_chairman_option'],
		            'transport' => 'refresh',
		            'sanitize_callback' => 'capacious_sanitize_select',
		        )
	    );
  

  $choices=capacious_homepage_our_chairman_option();
  $wp_customize->add_control(
	        'capacious_homepage_our_chairman_option',
	            array(
		            'type' => 'radio',
		            'label' => esc_html__( 'Meet Our Chairman Section Option', 'capacious' ),
		            'description' 	=> esc_html__( 'Show/hide option for Homepage Meet Our Chairman Section.', 'capacious' ),
		            'section' => 'capacious_our_chairman_section',
		            'choices'   => $choices,
		            'priority' =>5
	            )
	    );

	    /**
	     * Field for section title
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_our_chairman_section_title', 
	            array(
	                'default' =>  $default['capacious_our_chairman_section_title'],
	                'sanitize_callback' => 'sanitize_text_field',
	               
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_our_chairman_section_title',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Section Title', 'capacious' ),
		            'section' => 'capacious_our_chairman_section',
		            'priority' => 11
	            )
	    );

	    /**
	     * Field for section sub title
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_our_chairman_section_sub_title', 
	            array(
	                'default' => $default['capacious_our_chairman_section_sub_title'],
	                'sanitize_callback' => 'sanitize_text_field',
	             
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_our_chairman_section_sub_title',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Section Sub Title', 'capacious' ),
		            'section' => 'capacious_our_chairman_section',
		            'priority' => 12
	            )
	    );

	    /**
	     * Dropdown available pages for homepage about section
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_our_chairman_page_id',
		        array(
		            'default' => $default['capacious_our_chairman_page_id'],
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'absint'
		        )
	    );
	    $wp_customize->add_control(
	        'capacious_our_chairman_page_id', 
		        array(
		        	'type' => 'dropdown-pages',
		            'label' => esc_html__( 'Meet Our Chairman Page', 'capacious' ),
		            'description' => esc_html__( 'Select page for Homepage Meet Our Chairman Section', 'capacious' ),
		            'section' => 'capacious_our_chairman_section',
		            'priority' => 13
		        )
	    );

   /**
	     * Field for No of Words
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_our_chairman_character_limit', 
	            array(
	                'default' => $default['capacious_our_chairman_character_limit'],
	                'sanitize_callback' => 'absint',
	               	)
	    );
	    $wp_customize->add_control(
	        'capacious_our_chairman_character_limit',
	            array(
		            'type' => 'number',
		            'label' => esc_html__( 'Show No of Words', 'capacious' ),
		            'section' => 'capacious_our_chairman_section',
		            'priority' => 15
	            )
	    );



     /**
	     * Field for Get In Touch button text
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_our_chairman_get_in_touch_txt', 
	            array(
	                'default' => $default['capacious_our_chairman_get_in_touch_txt'],
	                'sanitize_callback' => 'sanitize_text_field',
	               
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_our_chairman_get_in_touch_txt',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Get In Touch Button', 'capacious' ),
		            'section' => 'capacious_our_chairman_section',
		            'priority' => 15
	            )
	    );


    /**
	     * Upload image control for section
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_our_chairman_section_image',
		        array(
		            'default' => $default['capacious_our_chairman_section_image'],
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'esc_url_raw'
		        )
	    );

	    $wp_customize->add_control( new WP_Customize_Image_Control(
	        $wp_customize,
	        'capacious_our_chairman_section_image',
	        	array(
	            	'label'      => esc_html__( 'Section Background Image', 'capacious' ),
	               	'section'    => 'capacious_our_chairman_section',
	               	'priority' => 14
	           	)
	       	)
	   	);

/*--------------------------------------------------------------------------------------------------------------*/
		/**
		 * Our Services Section
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_services_section',
		        array(
		            'title'		=> esc_html__( 'Our Services Section', 'capacious' ),
		            'panel'     => 'capacious_homepage_settings_panel',
		            'priority'  => 20,
		        )
	    );

	    /**
	     * Switch option for Homepage Service Section
	     *
	     * @since 1.0.0
	     */
$wp_customize->add_setting(
	        'capacious_homepage_service_option',
		        array(
		            'default' => $default['capacious_homepage_service_option'],
		            'sanitize_callback' => 'capacious_sanitize_select',
		        )
	    );
	   
  $choices= capacious_homepage_service_option();	   
  $wp_customize->add_control(
	        'capacious_homepage_service_option',
	            array(
		            'type' => 'radio',
		            'label' => esc_html__( 'Services Section Option', 'capacious' ),
		            'description' 	=> esc_html__( 'Show/hide option for Homepage Our Services  Section.', 'capacious' ),
		            'section' => 'capacious_services_section',
		            'choices'   =>$choices,
		            'priority' =>5
	            )
	    );

/**
	     * Field for section Id
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_services_section_id', 
	            array(
	                'default' => $default['capacious_services_section_id'],
	                'sanitize_callback' => 'sanitize_text_field',
	               
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_services_section_id',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Services Section Id', 'capacious' ),
		            'section' => 'capacious_services_section',
		            'priority' => 6
	            )
	    );


	    /**
	     * Field for section title
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_services_section_title', 
	            array(
	                'default' => $default['capacious_services_section_title'],
	                'sanitize_callback' => 'sanitize_text_field',
	               
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_services_section_title',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Section Title', 'capacious' ),
		            'section' => 'capacious_services_section',
		            'priority' => 10
	            )
	    );

	    /**
	     * Field for section sub title
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_services_section_sub_title', 
	            array(
	                'default' => $default['capacious_services_section_sub_title'],
	                'sanitize_callback' => 'sanitize_text_field',
	              
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_services_section_sub_title',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Section Sub Title', 'capacious' ),
		            'section' => 'capacious_services_section',
		            'priority' => 15
	            )
	    );


   /**
	     * Field for No of Words
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_services_character_limit', 
	            array(
	                'default' => $default['capacious_services_character_limit'],
	                'sanitize_callback' => 'absint',
	               	)
	    );
	    $wp_customize->add_control(
	        'capacious_services_character_limit',
	            array(
		            'type' => 'number',
		            'label' => esc_html__( 'Show No of Words', 'capacious' ),
		            'section' => 'capacious_services_section',
		            'priority' => 15
	            )
	    );

   /**
		 *   Show Link
	  */
        $wp_customize->add_setting(
	        'capacious_services_show_link_option', 
	            array(
	                  'default'           => $default['capacious_services_show_link_option'],
	                  'sanitize_callback' => 'capacious_sanitize_checkbox',
	               	)
	    );
	    $wp_customize->add_control('capacious_services_show_link_option',
            array(
            'label'      => esc_html__('Show Link','capacious'),
            'section'   => 'capacious_services_section',
            'type'	  	=> 'checkbox',
            'priority'  => 17
         )
    );     


	    /**
	     * Upload image control for section
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_services_section_image',
		        array(
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'esc_url_raw'
		        )
	    );

	    $wp_customize->add_control( new WP_Customize_Image_Control(
	        $wp_customize,
	        'capacious_services_section_image',
	        	array(
	            	'label'      => esc_html__( 'Services Section Image', 'capacious' ),
	            	'description' => esc_html__( 'Please Upload Image of Size 568 X 540', 'capacious' ),
	               	'section'    => 'capacious_services_section',
	               	'priority' => 18
	           	)
	       	)
	   	);

	   
	$service_priority = 30;
	 $capacious_default_service_icon = array( 'fa-desktop', 'fa-print', 'fa-paint-brush', 'fa-mobile','fa-flash','fa-support' );
    $capacious_separator_label = array( 'First', 'Second', 'Third', 'Forth', 'Fifth', 'Sixth' );
    
    foreach ( $capacious_separator_label as $icon_key => $icon_value ) {    	
		
	     /**
	     * Section separator
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_service_icon_sec_separator_'.$icon_key,
		        array(
		            'default' => '',
		            'sanitize_callback' => 'sanitize_text_field',
		        )
	    );
	    $wp_customize->add_control(new Capacious_Customize_Section_Separator(
	        $wp_customize, 
	            'capacious_service_icon_sec_separator_'.$icon_key, 
	            array(
	                'type' 		=> 'capacious_separator',
	                'label' 	=> sprintf(esc_html__( '%s Service', 'capacious' ), $capacious_separator_label[$icon_key] ),
	                'section' 	=> 'capacious_services_section',
	                'priority'  => $service_priority,
	            )	            	
	        )
	    );

	    /**
	     * Icon list for service tab
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_service_icon_'.$icon_key,
		        array(
		            'default' => $capacious_default_service_icon[$icon_key],
		            'sanitize_callback' => 'sanitize_text_field',
		        )
	    );
	    $wp_customize->add_control( new Capacious_Customize_Icons_Control(
	        $wp_customize, 
	        'capacious_service_icon_'.$icon_key, 
	            array(
	                'type' 		=> 'capacious_icons',	                
	                'label' 	=> sprintf(esc_html__( '%s Service Icon','capacious' ), $capacious_separator_label[$icon_key] ),
	                'description' 	=> esc_html__( 'Choose the icon from lists.', 'capacious' ),
	                'section' 	=> 'capacious_services_section',
	                'priority'  => $service_priority,
	            )	            	
	        )
	    );

	 $service_priority = $service_priority+5;
	    	  
	    /**
	     * Dropdown available pages for homepage service section
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_service_page_id_'.$icon_key,
		        array(
		            'default' => '0',
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'absint'
		        )
	    );
	    $wp_customize->add_control(
	        'capacious_service_page_id_'.$icon_key,
		        array(
		        	'type' => 'dropdown-pages',
		            'label' =>sprintf(esc_html__( '%s Service Page', 'capacious' ), $capacious_separator_label[$icon_key] ),

		            'description' => esc_html__( 'Select page for Homepage Service Section', 'capacious' ),
		            'section' => 'capacious_services_section',
		            'priority' => $service_priority
		        )
	    );
	    $service_priority = $service_priority+5;
	}


/*--------------------------------------------------------------------------------------------------------------*/

/**
		 * Satisfied Clients
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_satisfied_clients_section',
		        array(
		            'title'		=> esc_html__( 'Satisfied Clients Section', 'capacious' ),
		            'panel'     => 'capacious_homepage_settings_panel',
		            'priority'  => 20,
		        )
	    );

	    /**
	     * Switch option for Homepage Satisfied Clients Section
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_homepage_satisfied_clients_option',
		        array(
		            'default' => $default['capacious_homepage_satisfied_clients_option'],
		            'transport' => 'refresh',
		            'sanitize_callback' => 'capacious_sanitize_select',
		        )
	    );

       $choices= capacious_homepage_satisfied_clients_option();
        $wp_customize->add_control(
	        'capacious_homepage_satisfied_clients_option',
	            array(
		            'type' => 'radio',
		            'label' => esc_html__( 'Satisfied Clients Section Option', 'capacious' ),
		            'description' 	=> esc_html__( 'Show/hide option for Homepage Satisfied Clients Section.', 'capacious' ),
		            'section' => 'capacious_satisfied_clients_section',
		            'choices'   =>  $choices,
		            'priority' =>5
	            )
	    );


	    /**
	     * Field for Satisfied Clients section title
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_satisfied_clients_section_title', 
	            array(
	                'default' =>  $default['capacious_satisfied_clients_section_title'],
	                'sanitize_callback' => 'sanitize_text_field',
	                  )
	    );
	    $wp_customize->add_control(
	        'capacious_satisfied_clients_section_title',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Section Title', 'capacious' ),
		            'section' => 'capacious_satisfied_clients_section',
		            'priority' => 11
	            )
	    );

	     /**
	     * Field for section sub title
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_satisfied_clients_section_sub_title', 
	            array(
	                'default' => $default['capacious_satisfied_clients_section_title'],
	                'sanitize_callback' => 'sanitize_text_field',
	               
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_satisfied_clients_section_sub_title',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Section Sub Title', 'capacious' ),
		            'section' => 'capacious_satisfied_clients_section',
		            'priority' => 15
	            )
	    );

      
       /**
	     * Field for section description
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_satisfied_clients_section_description', 
	            array(
	                'default' => $default['capacious_satisfied_clients_section_description'],
	                'sanitize_callback' => 'wp_kses_post',
	                
		       	)
	    );    
	    $wp_customize->add_control(
	        'capacious_satisfied_clients_section_description',
	            array(
		            'type' => 'textarea',
		            'label' => esc_html__( 'Section Description', 'capacious' ),
		            'section' => 'capacious_satisfied_clients_section',
		            'priority' => 16
	            )
	    );


	    /**
	     * Dropdown available categories for homepage Satisfied Clients section
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_satisfied_clients_section_cat_id',
		        array(
		            'default' => $default['capacious_satisfied_clients_section_cat_id'],
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'absint'
		        )
	    );
	   
$wp_customize->add_control( new capacious_Customize_Category_Control(
	        $wp_customize,
	        'capacious_satisfied_clients_section_cat_id', 
		        array(
		            'label' => esc_html__( 'Satisfied Clients Category', 'capacious' ),
		            'description' => esc_html__( 'Select Category for Homepage Satisfied Clients Section', 'capacious' ),
		            'section' => 'capacious_satisfied_clients_section',
		            'priority' => 20
		        )
		    )
	    );


	    /**
	     * Upload image control for Satisfied Clients section
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_satisfied_clients_bg_image',
		        array(
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'esc_url_raw'
		        )
	    );

	    $wp_customize->add_control( new WP_Customize_Image_Control(
	        $wp_customize,
	        'capacious_satisfied_clients_bg_image',
	        	array(
	            	'label'      => esc_html__( 'Section Background Image', 'capacious' ),
	               	'section'    => 'capacious_satisfied_clients_section',
	               	'priority' => 25
	           	)
	       	)
	   	);
   
	/*--------------------------------------------------------------------------------------------------------------*/
		/**
		 * Our What we offer Section
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_what_we_offer_section',
		        array(
		            'title'		=> esc_html__( 'What we offer Section', 'capacious' ),
		            'panel'     => 'capacious_homepage_settings_panel',
		            'priority'  => 20,
		        )
	    );

	    /**
	     * Switch option for Homepage What we offer Section
	     *
	     * @since 1.0.0
	     */
$wp_customize->add_setting(
	        'capacious_homepage_what_we_offer_option',
		        array(
		            'default' =>  $default['capacious_homepage_what_we_offer_option'],
		            'sanitize_callback' => 'capacious_sanitize_select',
		        )
	    );
	   
  $choices= capacious_homepage_what_we_offer_option();	   
  $wp_customize->add_control(
	        'capacious_homepage_what_we_offer_option',
	            array(
		            'type' => 'radio',
		            'label' => esc_html__( 'What we offer Section Option', 'capacious' ),
		            'description' 	=> esc_html__( 'Show/hide option for Homepage Our What we offer  Section.', 'capacious' ),
		            'section' => 'capacious_what_we_offer_section',
		            'choices'   => $choices,
		            'priority' =>5
	            )
	    );

/**
	     * Field for section Id
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_what_we_offer_section_id', 
	            array(
	                'default' =>  $default['capacious_what_we_offer_section_id'],
	                'sanitize_callback' => 'sanitize_text_field',
	                )
	    );
	    $wp_customize->add_control(
	        'capacious_what_we_offer_section_id',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'What We Offer Section Id', 'capacious' ),
		            'section' => 'capacious_what_we_offer_section',
		            'priority' => 10
	            )
	    );

    /**
	     * Field for section title
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_what_we_offer_section_title', 
	            array(
	                'default' => $default['capacious_what_we_offer_section_title'],
	                'sanitize_callback' => 'sanitize_text_field',
	               
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_what_we_offer_section_title',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Section Title', 'capacious' ),
		            'section' => 'capacious_what_we_offer_section',
		            'priority' => 10
	            )
	    );

	    /**
	     * Field for section sub title
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_what_we_offer_section_sub_title', 
	            array(
	                'default' =>  $default['capacious_what_we_offer_section_sub_title'],
	                'sanitize_callback' => 'sanitize_text_field',
	               
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_what_we_offer_section_sub_title',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Section Sub Title', 'capacious' ),
		            'section' => 'capacious_what_we_offer_section',
		            'priority' => 15
	            )
	    );

	   /**
	     * Field for section description
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_what_we_offer_section_description', 
	            array(
	                'default' =>  $default['capacious_what_we_offer_section_description'],
	                'sanitize_callback' => 'wp_kses_post',
	                
		       	)
	    );    
	    $wp_customize->add_control(
	        'capacious_what_we_offer_section_description',
	            array(
		            'type' => 'textarea',
		            'label' => esc_html__( 'Section Description', 'capacious' ),
		            'section' => 'capacious_what_we_offer_section',
		            'priority' => 20
	            )
	    );
	    
	     /**
		 *   Show Link
	  */
        $wp_customize->add_setting(
	        'capacious_what_we_offer_show_link_option', 
	            array(
	                  'default'           => $default['capacious_what_we_offer_show_link_option'],
	                  'sanitize_callback' => 'capacious_sanitize_checkbox',
	               	)
	    );
	    $wp_customize->add_control('capacious_what_we_offer_show_link_option',
            array(
            'label'      => esc_html__('Show Link','capacious'),
            'section'   => 'capacious_what_we_offer_section',
            'type'	  	=> 'checkbox',
            'priority'  => 22
         )
    );    
   
       /**
	     * Upload image control for section
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_what_we_offer_section_image',
		        array(
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'esc_url_raw'
		        )
	    );

	    $wp_customize->add_control( new WP_Customize_Image_Control(
	        $wp_customize,
	        'capacious_what_we_offer_section_image',
	        	array(
	            	'label'      => esc_html__( 'What We Offer Image', 'capacious' ),
	            	'description' => esc_html__( 'Please Upload Image of Size 570 X 750', 'capacious' ),
	               	'section'    => 'capacious_what_we_offer_section',
	               	'priority' => 23
	           	)
	       	)
	   	);

     


	$what_we_offer_priority = 30;
	$capacious_default_what_we_offer_icon = array( 'fa-desktop', 'fa-mobile', 'fa-print', 'fa-flash', 'fa-music','fa-support');
    $capacious_separator_label = array( 'First', 'Second', 'Third', 'Forth', 'Fifth', 'Sixth' );
    
    foreach ( $capacious_separator_label as $icon_key => $icon_value ) {    	
		
	    /**
	     * Section separator
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_what_we_offer_icon_sec_separator_'.$icon_key,
		        array(
		               'sanitize_callback' => 'sanitize_text_field',
		        )
	    );
	    $wp_customize->add_control(new Capacious_Customize_Section_Separator(
	        $wp_customize, 
	            'capacious_what_we_offer_icon_sec_separator_'.$icon_key, 
	            array(
	                'type' 		=> 'capacious_separator',
	                'label' 	=> sprintf(esc_html__( '%s What we offer', 'capacious' ), $capacious_separator_label[$icon_key] ),
	                'section' 	=> 'capacious_what_we_offer_section',
	                'priority'  => $what_we_offer_priority,
	            )	            	
	        )
	    );

	    /**
	     * Icon list for what we offer tab
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_what_we_offer_icon_'.$icon_key,
		        array(
		            'default' => $capacious_default_what_we_offer_icon[$icon_key],
		            'sanitize_callback' => 'sanitize_text_field',
		        )
	    );
	    $wp_customize->add_control( new Capacious_Customize_Icons_Control(
	        $wp_customize, 
	        'capacious_what_we_offer_icon_'.$icon_key, 
	            array(
	                'type' 		=> 'capacious_icons',	                
	                'label' 	=>sprintf(esc_html__( '%s What we offer Icon', 'capacious' ), $capacious_separator_label[$icon_key] ),
                    'description' 	=> esc_html__( 'Choose the icon from lists.', 'capacious' ),
	                'section' 	=> 'capacious_what_we_offer_section',
	                'priority'  => $what_we_offer_priority,
	            )	            	
	        )
	    );

	 $what_we_offer_priority = $what_we_offer_priority+5;
	    	  
	    /**
	     * Dropdown available pages for homepage service section
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_what_we_offer_page_id_'.$icon_key,
		        array(
		            'default' => 0,
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'absint'
		        )
	    );
	    $wp_customize->add_control(
	        'capacious_what_we_offer_page_id_'.$icon_key,
		        array(
		        	'type' => 'dropdown-pages',
		            'label' 	=>sprintf(esc_html__( '%s What we offer Page', 'capacious' ), $capacious_separator_label[$icon_key] ),
                    'description' => esc_html__( 'Select page for Homepage What we offer Section', 'capacious' ),
		            'section' => 'capacious_what_we_offer_section',
		            'priority' => $what_we_offer_priority
		        )
	    );
	    $what_we_offer_priority = $what_we_offer_priority+5;
	}


/*---------------------------------------------------------------------------------------*/
		/**
		 * Meet Our Team*
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_our_team_section',
		        array(
		            'title'		=> esc_html__( 'Meet Our Team', 'capacious' ),
		            'panel'     => 'capacious_homepage_settings_panel',
		            'priority'  => 25,
		        )  
	    );

	    /**
	     * Switch option for Meet Our Team Section
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_homepage_our_team_option',
		        array(
		            'default' => $default['capacious_homepage_our_team_option'],
		            'transport' => 'refresh',
		            'sanitize_callback' => 'capacious_sanitize_select',
		        )
	    );
     $choices= capacious_homepage_our_team_option();
    $wp_customize->add_control(
	        'capacious_homepage_our_team_option',
	            array(
		            'type' => 'radio',
		            'label' => esc_html__( 'Meet Our Team Section Option', 'capacious' ),
		            'description' 	=> esc_html__( 'Show/hide option for Homepage Meet Our Team Section.', 'capacious' ),
		            'section' => 'capacious_our_team_section',
		            'choices'   => $choices,
		            'priority' =>5
	            )
	    );

/**
	     * Field for section ID
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_our_team_section_id', 
	            array(
	                'default' => $default['capacious_our_team_section_id'],
	                'sanitize_callback' => 'sanitize_text_field',
	                
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_our_team_section_id',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Team Section Id', 'capacious' ),
		            'section' => 'capacious_our_team_section',
		            'priority' => 6
	            )
	    );


	    /**
	     * Field for section title
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_our_team_section_title', 
	            array(
	                'default' =>  $default['capacious_our_team_section_title'],
	                'sanitize_callback' => 'sanitize_text_field',
	              	)
	    );
	    $wp_customize->add_control(
	        'capacious_our_team_section_title',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Section Title', 'capacious' ),
		            'section' => 'capacious_our_team_section',
		            'priority' => 11
	            )
	    );

	    /**
	     * Field for section sub title
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_our_team_section_sub_title', 
	            array(
	                'default' =>  $default['capacious_our_team_section_sub_title'],
	                'sanitize_callback' => 'sanitize_text_field',
	               
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_our_team_section_sub_title',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Section Sub Title', 'capacious' ),
		            'section' => 'capacious_our_team_section',
		            'priority' => 12
	            )
	    );


     
     /**
	     * Field View All Text
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_our_team_section_view_all_text', 
	            array(
	                'default' => $default['capacious_our_team_section_view_all_text'],
	                'sanitize_callback' => 'sanitize_text_field',
	              
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_our_team_section_view_all_text',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'View All Text Section', 'capacious' ),
		            'description' => esc_html__( 'To use View All link dont forget to create Our Team Page and dont forget to select Our-team Template', 'capacious' ),
		            'section' => 'capacious_our_team_section',
		            'priority' => 12
	            )
	    );

        
      /**
	     * Field View All Text Url
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_our_team_section_view_all_text_url', 
	            array(
	                'default' =>$default['capacious_our_team_section_view_all_text_url'],
	                'sanitize_callback' => 'sanitize_text_field',
	               
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_our_team_section_view_all_text_url',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'View All Text Url Section', 'capacious' ),
		            'section' => 'capacious_our_team_section',
		            'priority' => 12
	            )
	    );

	    
	    /**
	     * Dropdown available category for homepage our team
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_our_team_cat_id',
		        array(
		            'default' =>  $default['capacious_our_team_cat_id'],
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'absint'
		        )
	    );
	    $wp_customize->add_control( new capacious_Customize_Category_Control(
	        $wp_customize,
	        'capacious_our_team_cat_id', 
		        array(
		            'label' => esc_html__( 'Section Category', 'capacious' ),
		            'description' => esc_html__( 'Select cateogry for Homepage Our Team Section', 'capacious' ),
		            'section' => 'capacious_our_team_section',
		            'priority' => 25
		        )
		    )
	    );


	    /**
	     * Field for section sub title
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_our_team_no_of_post_section', 
	            array(
	                'default' =>  $default['capacious_our_team_no_of_post_section'],
	                'sanitize_callback' => 'absint',
	               
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_our_team_no_of_post_section',
	            array(
		            'type' => 'number',
		            'label' => esc_html__( 'Number of Post', 'capacious' ),
		            'description' => esc_html__('Number of Post will work only in Our Team Page, Not in Home page Section.', 'capacious'),
		            'section' => 'capacious_our_team_section',
		            'priority' => 26
	            )
	    );
    

    $wp_customize->add_setting(
	        'capacious_team_section_background_color_option', 
	            array(
	                'default' =>  $default['capacious_team_section_background_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	              
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_team_section_background_color_option', array(
				'label' => esc_html__( 'Team Section Block Background Color', 'capacious' ),
				'section' => 'capacious_our_team_section',
				 'priority' => 26,
				
			) ) ); 


	$wp_customize->add_setting(
	        'capacious_team_section_text_color_option', 
	            array(
	                'default' => $default['capacious_team_section_text_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	                
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_team_section_text_color_option', array(
				'label' => esc_html__( 'Team Section Block Text Color', 'capacious' ),
				'section' => 'capacious_our_team_section',
				 'priority' => 27,
				
			) ) );   


    $wp_customize->add_setting(
	        'capacious_team_section_text_hover_color_option', 
	            array(
	                'default' => $default['capacious_team_section_text_hover_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	             
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_team_section_text_hover_color_option', array(
				'label' => esc_html__( 'Team Section Block Text Hover Color', 'capacious' ),
				'section' => 'capacious_our_team_section',
				 'priority' => 27,
				
			) ) ); 


   $wp_customize->add_setting(
	        'capacious_team_section_background_hover_color_option', 
	            array(
	                'default' => $default['capacious_team_section_background_hover_color_option'] ,
	                'sanitize_callback' => 'sanitize_hex_color',
	              
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_team_section_background_hover_color_option', array(
				'label' => esc_html__( 'Team Section Block Background Hover Color', 'capacious' ),
				'section' => 'capacious_our_team_section',
				 'priority' => 27,
				
			) ) ); 


	  $wp_customize->add_setting(
	        'capacious_team_section_social_font_color_option', 
	            array(
	                'default' =>  $default['capacious_team_section_social_font_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	               
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_team_section_social_font_color_option', array(
				'label' => esc_html__( 'Team Section Block Social Font Color', 'capacious' ),
				'section' => 'capacious_our_team_section',
				 'priority' => 27,
				
			) ) ); 

/*---------------------------------------------------------------------------------------*/
		/**
		 * Meet Testimonials*
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_testimonials_section',
		        array(
		            'title'		=> esc_html__( 'Testimonials', 'capacious' ),
		            'panel'     => 'capacious_homepage_settings_panel',
		            'priority'  => 27,
		        )  
	    );

	    /**
	     * Switch option for Testimonials Section
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_homepage_testimonials_option',
		        array(
		            'default' =>  $default['capacious_homepage_testimonials_option'] ,
		            'sanitize_callback' => 'capacious_sanitize_select',
		        )
	    );
$choices = capacious_homepage_testimonials_option();
 $wp_customize->add_control(
	        'capacious_homepage_testimonials_option',
	            array(
		            'type' => 'radio',
		            'label' => esc_html__( 'Testimonials Section Option', 'capacious' ),
		            'description' 	=> esc_html__( 'Show/hide option for Homepage Testimonials Section.', 'capacious' ),
		            'section' => 'capacious_testimonials_section',
		            'choices'   =>$choices,
		            'priority' =>5
	            )
	    );

      	    
      /**
	     * Field for section Id
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_testimonial_section_id', 
	            array(
	                'default' => $default['capacious_testimonial_section_id'],
	                'sanitize_callback' => 'sanitize_text_field',
	              
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_testimonial_section_id',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Testimonials Section Id', 'capacious' ),
		            'section' => 'capacious_testimonials_section',
		            'priority' => 12
	            )
	    );	    


	    /**
	     * Dropdown available category for homepage Testimonials
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_testimonials_cat_id',
		        array(
		            'default' => $default['capacious_testimonials_cat_id'],
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'absint'
		        )
	    );
	    $wp_customize->add_control( new capacious_Customize_Category_Control(
	        $wp_customize,
	        'capacious_testimonials_cat_id', 
		        array(
			            'label' => esc_html__( 'Section Category', 'capacious' ),
			            'description' => esc_html__( 'Select cateogry for Homepage Testimonials Section', 'capacious' ),
			            'section' => 'capacious_testimonials_section',
			            'priority' => 25
		            )
		    )
	    );
    
     /**
	     * Upload image control for section
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_testimonials_section_image',
		        array(
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'esc_url_raw'
		        )
	    );

	    $wp_customize->add_control( new WP_Customize_Image_Control(
	        $wp_customize,
	        'capacious_testimonials_section_image',
	        	array(
	            	'label'      => esc_html__( 'Testimonials Background Image', 'capacious' ),
	               	'section'    => 'capacious_testimonials_section',
	               	'priority' => 29
	           	)
	       	)
	   	);

     // Overlay Color Picker setting.
    $wp_customize->add_setting(
        'capacious_overlay_color_setting',
        array(
            'default'     => $default['capacious_overlay_color_setting'],
            'type'       => 'theme_mod',
            'capability'  => 'edit_theme_options',
             //'sanitize_callback' => 'sanitize_hex_color',

             )
    );

    // Overlay Color Picker control.
    $wp_customize->add_control(
        new Capacious_Customize_Overlay_Color_Control(
            $wp_customize,
            'capacious_overlay_color_setting',
            array(
                'label'         => __( 'Overlay Background Color', 'capacious' ),
                'section'       => 'capacious_testimonials_section',
                'priority' => 33,
                
            )
        )
    );


 $wp_customize->add_setting(
	        'capacious_testimonial_blockquote_border_color_option', 
	            array(
	                'default' => $default['capacious_testimonial_blockquote_border_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	                'transport' => 'refresh'
		       	)
	    );
	
	  $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_testimonial_blockquote_border_color_option', array(
				'label' => esc_html__( 'Blockquote Border Color', 'capacious' ),
				'section' => 'capacious_testimonials_section',
				 'priority' => 34,
				
			) ) ); 


       $wp_customize->add_setting(
	        'capacious_testimonial_blockquote_name_color_option', 
	            array(
	                'default' =>  $default['capacious_testimonial_blockquote_name_color_option'],
	                'sanitize_callback' => 'sanitize_hex_color',
	                'transport' => 'refresh'
		       	)
	    );
	
	   $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'capacious_testimonial_blockquote_name_color_option', array(
				'label' => esc_html__( 'Blockquote Name Color', 'capacious' ),
				'section' => 'capacious_testimonials_section',
				 'priority' => 34,
				
			) ) ); 

/*---------------------------------------------------------------------------------------*/
		/**
		 * Blog Section*
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_blog_section',
		        array(
		            'title'		=> esc_html__( 'Blog', 'capacious' ),
		            'panel'     => 'capacious_homepage_settings_panel',
		            'priority'  => 27,
		        )  
	    );

	    /**
	     * Switch option for Blog Section
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_homepage_blog_option',
		        array(
		            'default' => $default['capacious_homepage_blog_option'],
		            'sanitize_callback' => 'capacious_sanitize_select',
		        )
	    );
 $choices = capacious_homepage_blog_option();
 $wp_customize->add_control(
	        'capacious_homepage_blog_option',
	            array(
		            'type' => 'radio',
		            'label' => esc_html__( 'Blog Section Option', 'capacious' ),
		            'description' 	=> esc_html__( 'Show/hide option for Homepage Blog Section.', 'capacious' ),
		            'section' => 'capacious_blog_section',
		            'choices'   => $choices,
		            'priority' =>5
	            )
	    );

 /**
	     * Field for Blog section Id
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_blog_section_id', 
	            array(
	                'default' => $default['capacious_blog_section_id'],
	                'sanitize_callback' => 'sanitize_text_field',
	              
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_blog_section_id',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Blog Section Id', 'capacious' ),
		            'section' => 'capacious_blog_section',
		            'priority' => 11
	            )
	    );

 
 /**
	     * Field for section title
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_blog_section_title', 
	            array(
	                'default' => $default['capacious_blog_section_title'],
	                'sanitize_callback' => 'sanitize_text_field',
	                
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_blog_section_title',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Section Title', 'capacious' ),
		            'section' => 'capacious_blog_section',
		            'priority' => 11
	            )
	    );

	    /**
	     * Field for section sub title
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_blog_section_sub_title', 
	            array(
	                'default' => $default['capacious_blog_section_sub_title'],
	                'sanitize_callback' => 'sanitize_text_field',
	              
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_blog_section_sub_title',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Section Sub Title', 'capacious' ),
		            'section' => 'capacious_blog_section',
		            'priority' => 12
	            )
	    );

  /**
	     * Field for View All Button
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_blog_section_view_all_text', 
	            array(
	                'default' => $default['capacious_blog_section_view_all_text'],
	                'sanitize_callback' => 'sanitize_text_field',
	              
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_blog_section_view_all_text',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'View All Button Text', 'capacious' ),
		            'section' => 'capacious_blog_section',
		            'priority' => 12
	            )
	    );



 /**
	     *  for category
	     *
	     * @since 1.0.0
	     */
	    global $capacious_categories_value;
	    $wp_customize->add_setting(
	        'capacious_blog_categories_id',
		        array(
		            'default'           =>$default['capacious_blog_categories_id'],
		            'capability' => 'edit_theme_options',
		            'sanitize_callback' => 'absint'
		        )
	    );
	   
	     $wp_customize->add_control( new Capacious_Customize_Post_Category_Control(
	        $wp_customize,
	        'capacious_blog_categories_id', 
		        array(
		            'label' => esc_html__( 'Section Category', 'capacious' ),
		            'description' => esc_html__( 'Select cateogry for Homepage Blog Section, by default latest post will display', 'capacious' ),
		            'section' => 'capacious_blog_section',
		            'priority' => 20,
		            
		        )
		    )
	    );

    
     
/*-------------------------------------------------------------------------------------------------*/
		/**
		 * Contact Us Section
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_contact_section',
		        array(
		            'title'		=> esc_html__( 'Contact Us Section', 'capacious' ),
		            'panel'     => 'capacious_homepage_settings_panel',
		            'priority'  => 45,
		        )
	    );

	    
	    /**
	     * Switch option for Contact Us Section
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_homepage_contact_option',
		        array(
		            'default' => $default['capacious_homepage_contact_option'],
		            'sanitize_callback' => 'capacious_sanitize_select',
		        )
	    );
      
      $choices = capacious_homepage_contact_option();
       $wp_customize->add_control(
	        'capacious_homepage_contact_option',
	            array(
		            'type' => 'radio',
		            'label' => esc_html__( 'Contact Us Section Option', 'capacious' ),
		            'description' 	=> esc_html__( 'Show/hide option for Homepage Contact Us Section.', 'capacious' ),
		            'section' => 'capacious_contact_section',
		            'choices'   => $choices,
		            'priority' =>5
	            )
	    );


    /**
	     * Field for section Id
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_contact_section_id', 
	            array(
	                'default' =>  $default['capacious_contact_section_id'] ,
	                'sanitize_callback' => 'sanitize_text_field',
	            
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_contact_section_id',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Contact Us Section Id', 'capacious' ),
		            'section' => 'capacious_contact_section',
		            'priority' => 10
	            )
	    );



	    /**
	     * Field for section title
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_contact_section_title', 
	            array(
	                'default' => $default['capacious_contact_section_title'] ,
	                'sanitize_callback' => 'sanitize_text_field',
	               
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_contact_section_title',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Section Title', 'capacious' ),
		            'section' => 'capacious_contact_section',
		            'priority' => 10
	            )
	    );

	    /**
	     * Field for section sub-title
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_contact_section_sub_title', 
	            array(
	                'default' => $default['capacious_contact_section_sub_title'],
	                'sanitize_callback' => 'sanitize_text_field',
	               
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_contact_section_sub_title',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Section Sub Title', 'capacious' ),
		            'section' => 'capacious_contact_section',
		            'priority' => 15
	            )
	    );

	    /**
	     * Field for Text editor
	     *
	     * @since 1.0.0
	     */
		$wp_customize->add_setting(
			'capacious_contact_section_form_editor',
			array(
				'capability'         => 'edit_theme_options',
			     'sanitize_callback'  => 'sanitize_text_field'
			)
		);

		$wp_customize->add_control( new Capacious_Text_Editor_Custom_Control(
			$wp_customize,
			'capacious_contact_section_form_editor',
				array(
					 'type' => 'capacious-editor',
					'label'       => esc_html__( 'Contact Form', 'capacious' ),
					'description' => esc_html__( 'Use contact form 7 shortcode.', 'capacious' ),
					'section'     => 'capacious_contact_section',
					'priority'	  => 20
				)
			)
		);

	    /**
	     * Field for section Opening 24 Hours
	     *
	     * @since 1.0.0
	     */

        
	    $wp_customize->add_setting(
	        'capacious_contact_section_opening_hours', 
	            array(
	                'default' => $default['capacious_contact_section_opening_hours'],
	                'sanitize_callback' => 'sanitize_text_field',
	                
		       	)
	    );

         $wp_customize->add_control(
	        'capacious_contact_section_opening_hours',
	            array(
		            'type' => 'text',
		            'description' 	=> esc_html__( 'Our support', 'capacious' ),
		            'section' => 'capacious_contact_section',
		            'priority' => 25
	            )
	    );
  
        /**
	     * Field for Fonsome Icon
	     *
	     * @since 1.0.0
	     */
         $wp_customize->add_setting(
	        'capacious_contact_section_opening_hours_icon', 
	            array(
	                'default' => $default['capacious_contact_section_opening_hours_icon'],
	                'sanitize_callback' => 'sanitize_text_field',
	               
		       	)
	      );

         $wp_customize->add_control(
	        'capacious_contact_section_opening_hours_icon',
	            array(
		            'type' => 'text',
		            'description' 	=> esc_html__( 'Insert Fontawesome Class Name', 'capacious' ),
		            'section' => 'capacious_contact_section',
		            'priority' => 24
	            )
	    );

 /**
	     * Business Hours Text
	     *
	     * @since 1.0.0
	     */

    $wp_customize->add_setting(
	        'capacious_contact_section_business_hour_text', 
	            array(
	                'default' => $default['capacious_contact_section_business_hour_text'],
	                'sanitize_callback' => 'sanitize_text_field',
	               
		       	)
	    );

	      $wp_customize->add_control(
	        'capacious_contact_section_business_hour_text',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Business Hours', 'capacious' ),
		            'description' 	=> esc_html__( 'Business Hours Text Field', 'capacious' ),
		            'section' => 'capacious_contact_section',
		            'priority' => 23
	            )
	    );



 /**
	     * Field for Fonsome Icon
	     *
	     * @since 1.0.0
	     */
         $wp_customize->add_setting(
	        'capacious_contact_section_opening_days_icon', 
	            array(
	                'default' =>  $default['capacious_contact_section_opening_days_icon'],
	                'sanitize_callback' => 'sanitize_text_field',
	               
		       	)
	      );

         $wp_customize->add_control(
	        'capacious_contact_section_opening_days_icon',
	            array(
		            'type' => 'text',
		            'description' 	=> esc_html__( 'Insert Fontawesome Class Name', 'capacious' ),
		            'section' => 'capacious_contact_section',
		            'priority' => 25
	            )
	    );


       /**
	     * Field for section Opening Days and Hours
	     *
	     * @since 1.0.0
	     */
    $wp_customize->add_setting(
	        'capacious_contact_section_opening_days', 
	            array(
	                'default' =>  $default['capacious_contact_section_opening_days'],
	                'sanitize_callback' => 'sanitize_text_field',
	              
		       	)
	    );

$wp_customize->add_control(
	        'capacious_contact_section_opening_days',
	            array(
		            'type' => 'text',
		            'description' 	=> esc_html__( 'Opening Day and Time', 'capacious' ),
		            'section' => 'capacious_contact_section',
		            'priority' => 26
	            )
	    );

	    /**
	     * Field for section contact Building Address
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_contact_section_building_address',
	            array(
	                'default' =>  $default['capacious_contact_section_building_address'],
	                'sanitize_callback' => 'sanitize_text_field',
	              
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_contact_section_building_address',
	            array(
		            'type' => 'text',
		            'section' => 'capacious_contact_section',
		            'priority' => 30
	            )
	    );

       /**
	     * Field for Fonsome Icon
	     *
	     * @since 1.0.0
	     */
  $wp_customize->add_setting(
	        'capacious_contact_section_building_address_icon', 
	            array(
	                'default' =>  $default['capacious_contact_section_building_address_icon'],
	                'sanitize_callback' => 'sanitize_text_field',
	              
		       	)
	    );

         $wp_customize->add_control(
	        'capacious_contact_section_building_address_icon',
	            array(
		            'type' => 'text',
		            'description' 	=> esc_html__( 'Insert Fontawesome Class Name', 'capacious' ),
		            'section' => 'capacious_contact_section',
		            'priority' => 29
	            )
	    );

     /**
	     * Building Address Text
	     *
	     * @since 1.0.0
	     */

 $wp_customize->add_setting(
	        'capacious_contact_section_building_address_text', 
	            array(
	                'default' =>  $default['capacious_contact_section_building_address_text'],
	                'sanitize_callback' => 'sanitize_text_field',
	             
		       	)
	    );

	      $wp_customize->add_control(
	        'capacious_contact_section_building_address_text',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Building Address', 'capacious' ),
		            'description' 	=> esc_html__( 'Building Address Text Field', 'capacious' ),
		            'section' => 'capacious_contact_section',
		            'priority' => 28
	            )
	    );



       /**
	     * Field for section contact Email Address
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_contact_section_email_address',
	            array(
	                'default' =>$default['capacious_contact_section_email_address'] ,
	                'sanitize_callback' => 'sanitize_text_field',
	               
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_contact_section_email_address',
	            array(
		            'type' => 'text',
		           'description' 	=> esc_html__( 'Insert Your Valid Email Address', 'capacious' ),
		            'section' => 'capacious_contact_section',
		            'priority' => 35
	            )
	    );


/**
	     * Field for Fonsome Icon
	     *
	     * @since 1.0.0
	     */
  $wp_customize->add_setting(
	        'capacious_contact_section_email_icon', 
	            array(
	                'default' => $default['capacious_contact_section_email_icon'],
	                'sanitize_callback' => 'sanitize_text_field',
	             
		       	)
	    );

         $wp_customize->add_control(
	        'capacious_contact_section_email_icon',
	            array(
		            'type' => 'text',
		            'description' 	=> esc_html__( 'Insert Fontawesome Class Name', 'capacious' ),
		            'section' => 'capacious_contact_section',
		            'priority' => 34
	            )
	    );


     /**
	     * Email Text
	     *
	     * @since 1.0.0
	     */

 $wp_customize->add_setting(
	        'capacious_contact_section_email_text', 
	            array(
	                'default' => $default['capacious_contact_section_email_text'],
	                'sanitize_callback' => 'sanitize_text_field',
	             
		       	)
	    );

	      $wp_customize->add_control(
	        'capacious_contact_section_email_text',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Email', 'capacious' ),
		            'description' 	=> esc_html__( 'Email Text Field', 'capacious' ),
		            'section' => 'capacious_contact_section',
		            'priority' => 33
	            )
	    );


      /**
	     * Field for section contact Cell Phone
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_contact_section_cell_phone',
	            array(
	                'default' => $default['capacious_contact_section_cell_phone'],
	                'sanitize_callback' => 'sanitize_text_field',
	             
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_contact_section_cell_phone',
	            array(
		            'type' => 'text',
		            'description' 	=> esc_html__( 'Insert Your Contact Number', 'capacious' ),
		            'section' => 'capacious_contact_section',
		            'priority' => 39
	            )
	    );



/**
	     * Field for Fonsome Icon
	     *
	     * @since 1.0.0
	     */
  $wp_customize->add_setting(
	        'capacious_contact_section_cell_no_icon', 
	            array(
	                'default' =>  $default['capacious_contact_section_cell_no_icon'],
	                'sanitize_callback' => 'sanitize_text_field',
	              
		       	)
	    );

         $wp_customize->add_control(
	        'capacious_contact_section_cell_no_icon',
	            array(
		            'type' => 'text',
		            'description' 	=> esc_html__( 'Insert Fontawesome Class Name', 'capacious' ),
		            'section' => 'capacious_contact_section',
		            'priority' => 37
	            )
	    );


/**
	     * Cell Phone Text
	     *
	     * @since 1.0.0
	     */

 $wp_customize->add_setting(
	        'capacious_contact_section_cell_phone_text', 
	            array(
	                'default' => $default['capacious_contact_section_cell_phone_text'],
	                'sanitize_callback' => 'sanitize_text_field',
	             
		       	)
	    );

	      $wp_customize->add_control(
	        'capacious_contact_section_cell_phone_text',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Cell Phone', 'capacious' ),
		            'description' 	=> esc_html__( 'Cell Phone Text Field', 'capacious' ),
		            'section' => 'capacious_contact_section',
		            'priority' => 36
	            )
	    );

/*----------------------------------------------------------------------------------------------*/
		/**
		 * Hero Section
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_purchase_section',
		        array(
		            'title'		=>  $default['capacious_purchase_section'],
		            'panel'     => 'capacious_homepage_settings_panel',
		            'priority'  => 55,
		        )
	    );

	    /**
	     * Switch option for Homepage Hero Section
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_homepage_hero_option',
		        array(
		            'default' =>  $default['capacious_homepage_hero_option'],
		            'transport' => 'refresh',
		            'sanitize_callback' => 'capacious_sanitize_select',
		        )
	    );
 $choices= capacious_homepage_hero_option ();
 $wp_customize->add_control(
	        'capacious_homepage_hero_option',
	            array(
		            'type' => 'radio',
		            'label' => esc_html__( ' Hero Section Option', 'capacious' ),
		            'description' 	=> esc_html__( 'Show/hide option for Homepage Hero Section.', 'capacious' ),
		            'section' => 'capacious_purchase_section',
		            'choices'   => $choices,
		            'priority' =>8
	            )
	    );


	    /**
	     * Field for quote title
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_hero_section_title', 
	            array(
	                'default' =>  $default['capacious_hero_section_title'],
	                'sanitize_callback' => 'sanitize_text_field',
	              
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_hero_section_title',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Hero Title', 'capacious' ),
		            'section' => 'capacious_purchase_section',
		            'priority' => 14
	            )
	    );

	    	    
     /**
	     * Field for Get In purchase  button text
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_hero_purchase_txt', 
	            array(
	                'default' =>  $default['capacious_hero_purchase_txt'],
	                'sanitize_callback' => 'sanitize_text_field',
	              
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_hero_purchase_txt',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Purchase Button', 'capacious' ),
		            'section' => 'capacious_purchase_section',
		            'priority' => 15
	            )
	    );

   /**
	     * Field for Get In purchase button text Link
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_hero_purchase_link', 
	            array(
	                'default' =>  $default['capacious_hero_purchase_link'],
	                'sanitize_callback' => 'esc_url_raw',
	                'transport' => 'refresh'
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_hero_purchase_link',
	            array(
		            'type' => 'url',
		            'label' => esc_html__( 'Purchase Button Link', 'capacious' ),
		            'section' => 'capacious_purchase_section',
		            'priority' => 15
	            )
	    );



	  /*----------------------------------------------------------------------------------------------*/
		/**
		 * Google Map Section
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_google_map_section',
		        array(
		            'title'		=> esc_html__( 'Google Map Section', 'capacious' ),
		            'panel'     => 'capacious_homepage_settings_panel',
		            'priority'  => 53,
		        )
	    );

	    /**
	     * Switch option for Homepage Google Map Section
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_homepage_google_map_option',
		        array(
		            'default' =>  $default['capacious_homepage_google_map_option'],
		            'sanitize_callback' => 'capacious_sanitize_select',
		        )
	    );
   $choices = capacious_homepage_google_map_option();
   $wp_customize->add_control(
	        'capacious_homepage_google_map_option',
	            array(
		            'type' => 'radio',
		            'label' => esc_html__( ' Google Map Section Option', 'capacious' ),
		            'description' 	=> esc_html__( 'Show/hide option for Homepage Google Map Section.', 'capacious' ),
		            'section' => 'capacious_google_map_section',
		            'choices'   =>$choices,
		            'priority' =>53
	            )
	    );


	      /**
	     * Field for latitude map caption
	     *
	     * @since 1.0.0
	     */

        $wp_customize->add_setting(
	        'capacious_google_map_api_key', 
	            array(
	            'default' =>$default['capacious_google_map_api_key'],
	                'sanitize_callback' => 'sanitize_text_field',
	                
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_google_map_api_key',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Google Maps Api Key', 'capacious' ),
		            'description'   => sprintf( __( 'Google Maps %1$sApi Key%2$s ', 'capacious' ), '<a href="https://developers.google.com/maps/documentation/javascript/" target="_blank">','</a>' ),
		            'section' => 'capacious_google_map_section',
		            'priority' => 53
	            )
	    );

 
	    $wp_customize->add_setting(
	        'capacious_google_map_latitude', 
	            array(
	            	'default' =>  $default['capacious_google_map_latitude'],
	                'sanitize_callback' => 'sanitize_text_field',
	               
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_google_map_latitude',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Google Map Latitude', 'capacious' ),
		            'description' 	=> esc_html__( 'Insert Latitude of Location', 'capacious' ),
		            'section' => 'capacious_google_map_section',
		            'priority' => 53
	            )
	    );

        /**
	     * Field for longitude map caption
	     *
	     * @since 1.0.0
	     */
	    $wp_customize->add_setting(
	        'capacious_google_map_longitude', 
	            array(
	                'default' =>  $default['capacious_google_map_longitude'] ,
	                'sanitize_callback' => 'sanitize_text_field',
	                'transport' => 'refresh'
		       	)
	    );
	    $wp_customize->add_control(
	        'capacious_google_map_longitude',
	            array(
		            'type' => 'text',
		            'label' => esc_html__( 'Google Map Longitude', 'capacious' ),
		            'description' 	=> esc_html__( 'Insert Longitude of Location', 'capacious' ),
		            'section' => 'capacious_google_map_section',
		            'priority' => 53
	            )
	    );

   