<?php
/**
		 * Theme Fonts Option
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_panel(
	        'capacious_fonts_options', 
	        	array(
	        		'priority'       => 7,
	            	'capability'     => 'edit_theme_options',
	            	'theme_supports' => '',
	            	'title'          => esc_html__( 'Theme Fonts Option', 'capacious' ),
	            ) 
	    );


 /*-------------------------------------------------------------------------------------------*/
		/**
		 * Site Title Font Family
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_site_title_fonts_option_section',
		        array(
		            'title'		=> esc_html__( 'Site Title Font Family', 'capacious' ),
		            'description'   => sprintf( __( 'Google Fonts can be found here: %1$sgoogle.com/fonts%2$s.', 'capacious' ), '<a href="https://google.com/fonts" target="_blank">','</a>' ),
		            'panel'     => 'capacious_fonts_options',
		            'priority'  => 6,
		        )
	    );  
            
       /**
		 * Site Title Font Family
	   */
          $wp_customize->add_setting(
	        'capacious_site_title_fonts_section', 
	            array(
	                'default'           => $default['capacious_site_title_fonts_section'], 
	                'sanitize_callback' => 'wp_kses_post',
	               
		       	)
	    );



		 $wp_customize->add_control('capacious_site_title_fonts_section', array(
	         'label'     => __('Font name/style/sets', 'capacious' ),
	        'section'   => 'capacious_site_title_fonts_option_section',
	        'type'      => 'text',
	        'priority'  => 10

	    ) );  

     /**
		 * Site Title Font family
	   */
	   $wp_customize->add_setting(
	        'capacious_site_title_fonts_name', 
	            array(
	                'default'           =>  $default['capacious_site_title_fonts_name'],
	                'sanitize_callback' => 'wp_kses_post',
	                
		       	)
	    );
		 $wp_customize->add_control('capacious_site_title_fonts_name', array(
	         'label'     => __('Font family', 'capacious' ),
	        'section'   => 'capacious_site_title_fonts_option_section',
	        'type'      => 'text',
	        'priority'  => 10

	    ) );  	 
		 
/*-------------------------------------------------------------------------------------------*/
		/**
		 * Site Tagline Font Family
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_site_tagline_fonts_option_section',
		        array(
		            'title'		=> esc_html__( 'Site Tagline Font Family', 'capacious' ),
		            'description'   => sprintf( __( 'Google Fonts can be found here: %1$sgoogle.com/fonts%2$s.', 'capacious' ), '<a href="https://google.com/fonts" target="_blank">','</a>' ),
		            'panel'     => 'capacious_fonts_options',
		            'priority'  => 6,
		        )
	    );  
    
        
       /**
		 * Site Tagline Font Family
	   */
          $wp_customize->add_setting(
	        'capacious_site_tageline_fonts_section', 
	            array(
	                'default'           =>$default['capacious_site_tageline_fonts_section'] , 
	                'sanitize_callback' => 'wp_kses_post',
	              
		       	)
	    );
		 $wp_customize->add_control('capacious_site_tageline_fonts_section', array(
	         'label'     => esc_html__('Font name/style/sets', 'capacious' ),
	        'section'   => 'capacious_site_tagline_fonts_option_section',
	        'type'      => 'text',
	        'priority'  => 10

	    ) );  

     /**
		 * Site Tagline Font family
	   */
	   $wp_customize->add_setting(
	        'capacious_site_tagline_fonts_name', 
	            array(
	                'default'           =>  $default['capacious_site_tagline_fonts_name'],
	                'sanitize_callback' => 'wp_kses_post',
	                
		       	)
	    );
		 $wp_customize->add_control('capacious_site_tagline_fonts_name', array(
	         'label'     => esc_html__('Font family', 'capacious' ),
	        'section'   => 'capacious_site_tagline_fonts_option_section',
	        'type'      => 'text',
	        'priority'  => 10

	    ) );  	 
		 

/*-------------------------------------------------------------------------------------------*/
		/**
		 * Menu Font Family
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_menu_fonts_option_section',
		        array(
		            'title'		=> esc_html__( 'Menu Font Family', 'capacious' ),
		            'description'   => sprintf( __( 'Google Fonts can be found here: %1$sgoogle.com/fonts%2$s.', 'capacious' ), '<a href="https://google.com/fonts" target="_blank">','</a>' ),
		            'panel'     => 'capacious_fonts_options',
		            'priority'  => 6,
		        )
	    );  
            
       /**
		 * Menu Font Family
	   */
          $wp_customize->add_setting(
	        'capacious_menu_fonts_section', 
	            array(
	                'default'           => $default['capacious_menu_fonts_section'],
	                'sanitize_callback' => 'wp_kses_post',
	               
		       	)
	    );



		 $wp_customize->add_control('capacious_menu_fonts_section', array(
	         'label'     => __('Font name/style/sets', 'capacious' ),
	        'section'   => 'capacious_menu_fonts_option_section',
	        'type'      => 'text',
	        'priority'  => 10

	    ) );  

     /**
		 * Menu Font family
	   */
	   $wp_customize->add_setting(
	        'capacious_menu_fonts_name', 
	            array(
	                'default'           => $default['capacious_menu_fonts_name'],
	                'sanitize_callback' => 'wp_kses_post',
	               
		       	)
	    );
		 $wp_customize->add_control('capacious_menu_fonts_name', array(
	         'label'     => __('Font family', 'capacious' ),
	        'section'   => 'capacious_menu_fonts_option_section',
	        'type'      => 'text',
	        'priority'  => 10

	    ) );  	

	  /*-------------------------------------------------------------------------------------------*/
		/**
		 * Blog Fonts family    
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_body_fonts_option',
		        array(
		            'title'		=> esc_html__( 'Body Fonts Option', 'capacious' ),
		            'panel'     => 'capacious_fonts_options',
		            'priority'  => 6,
		        )
	    );  
    
      /**
		 * Blog Fonts family Section Title
	  */

        $wp_customize->add_setting(
	        'capacious_body_fonts_section_title', 
	            array(
	                'default'           =>   $default['capacious_body_fonts_section_title'],
	                'sanitize_callback' => 'sanitize_text_field',
	               
		       	)
	    );
	    
		 $wp_customize->add_control('capacious_body_fonts_section_title', array(
	        'description'   => sprintf( __( 'Google Fonts can be found here: %1$sgoogle.com/fonts%2$s.', 'capacious' ), '<a href="https://google.com/fonts" target="_blank">','</a>' ),
	        'section'   => 'capacious_body_fonts_option',
	        'type'      => 'hidden',
	        'priority'  => 10

	    ) );   
    
       /**
		 * Body Fonts Name
	   */
          $wp_customize->add_setting(
	        'capacious_body_fonts_section', 
	            array(
	                'default'           =>$default['capacious_body_fonts_section'], 
	                'sanitize_callback' => 'wp_kses_post',
	               
		       	)
	    );
		 $wp_customize->add_control('capacious_body_fonts_section', array(
	         'label'     => __('Font name/style/sets', 'capacious' ),
	        'section'   => 'capacious_body_fonts_option',
	        'type'      => 'text',
	        'priority'  => 10

	    ) );  

     /**
		 * Body Fonts Family
	   */
	   $wp_customize->add_setting(
	        'capacious_body_fonts_family', 
	            array(
	                'default'           =>  $default['capacious_body_fonts_family'],
	                'sanitize_callback' => 'wp_kses_post',
	               
		       	)
	    );
		 $wp_customize->add_control('capacious_body_fonts_family', array(
	         'label'     => __('Font family', 'capacious' ),
	        'section'   => 'capacious_body_fonts_option',
	        'type'      => 'text',
	        'priority'  => 10

	    ) );  	 

		 
    
  /*-------------------------------------------------------------------------------------------*/
		/**
		 * Heading Fonts family    
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_heading_fonts_option',
		        array(
		            'title'		=> esc_html__( 'Heading Fonts Option', 'capacious' ),
		            'panel'     => 'capacious_fonts_options',
		            'priority'  => 6,
		        )
	    );  
    
      /**
		 * Heading Fonts family Section Title
	  */
        $wp_customize->add_setting(
	        'capacious_heading_fonts_section_title', 
	            array(
	                'default'           =>  $default['capacious_heading_fonts_section_title'],
	                'sanitize_callback' => 'sanitize_text_field',
	              
		       	)
	    );
	    
		 $wp_customize->add_control('capacious_heading_fonts_section_title', array(
	       'description'   => sprintf( __( 'Google Fonts can be found here: %1$sgoogle.com/fonts%2$s.', 'capacious' ), '<a href="https://google.com/fonts" target="_blank">','</a>' ),
	        'section'   => 'capacious_heading_fonts_option',
	        'type'      => 'hidden',
	        'priority'  => 10

	    ) );   
    
       /**
		 * Heading Fonts Name
	   */
          $wp_customize->add_setting(
	        'capacious_heading_fonts_name', 
	            array(
	                'default'           =>   $default['capacious_heading_fonts_name'],
	                'sanitize_callback' => 'wp_kses_post',
	               
		       	)
	    );
		 $wp_customize->add_control('capacious_heading_fonts_name', array(
	         'label'     => __('Font name/style/sets', 'capacious' ),
	        'section'   => 'capacious_heading_fonts_option',
	        'type'      => 'text',
	        'priority'  => 10

	    ) );  

     /**
		 * Blog Fonts Family
	   */
	   $wp_customize->add_setting(
	        'capacious_heading_fonts_family', 
	            array(
	                'default'           =>  $default['capacious_heading_fonts_family'],
	                'sanitize_callback' => 'wp_kses_post',
	               
		       	)
	    );

		 $wp_customize->add_control('capacious_heading_fonts_family', array(
	         'label'     => __('Font family', 'capacious' ),
	        'section'   => 'capacious_heading_fonts_option',
	        'type'      => 'text',
	        'priority'  => 10

	    ) );  	 
      


       /*-------------------------------------------------------------------------------------------*/
		/**
		 * Fonts Size Options
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_fonts_size_option',
		        array(
		            'title'		=> esc_html__( 'Fonts Size Option', 'capacious' ),
		            'panel'     => 'capacious_fonts_options',
		            'priority'  => 6,
		        )
	    );  
    
      /**
		 * Site title Font Size
	  */
        $wp_customize->add_setting(
	        'capacious_site_title', 
	            array(
	                'default'           => $default['capacious_site_title'] ,
	                'sanitize_callback' => 'absint',
	               
		       	)
	    );
	    
		 $wp_customize->add_control('capacious_site_title', array(
	        'label'     => __('Site title', 'capacious' ),
	        'section'   => 'capacious_fonts_size_option',
	        'type'      => 'number',
	        'priority'  => 10

	    ) );   
    
       /**
		 * Site Description Font Size
	   */
          $wp_customize->add_setting(
	        'capacious_site_description', 
	            array(
	                'default'           =>  $default['capacious_site_description'],
	                'sanitize_callback' => 'absint',
	                
		       	)
	    );
		 $wp_customize->add_control('capacious_site_description', array(
	         'label'     => __('Site Description', 'capacious' ),
	        'section'   => 'capacious_fonts_size_option',
	        'type'      => 'number',
	        'priority'  => 10

	    ) );  

     /**
		 * Menu Item Font Size
	   */
	   $wp_customize->add_setting(
	        'capacious_menu_item_font_size', 
	            array(
	                'default'           =>  $default['capacious_menu_item_font_size'] ,
	                'sanitize_callback' => 'absint',
	              
		       	)
	    );

		 $wp_customize->add_control('capacious_menu_item_font_size', array(
	         'label'     => __('Menu Item', 'capacious' ),
	        'section'   => 'capacious_fonts_size_option',
	        'type'      => 'number',
	        'priority'  => 10

	    ) );  


	/**
		 * H1 Font Size
	   */
	   $wp_customize->add_setting(
	        'capacious_h1_font_size', 
	            array(
	                'default'           => $default['capacious_h1_font_size'],
	                'sanitize_callback' => 'absint',
	                
		       	)
	    );

		 $wp_customize->add_control('capacious_h1_font_size', array(
	         'label'     => __('H1 Font Size', 'capacious' ),
	        'section'   => 'capacious_fonts_size_option',
	        'type'      => 'number',
	        'priority'  => 10

	    ) );  


      /**
		 * H2 Font Size
	   */
	   $wp_customize->add_setting(
	        'capacious_h2_font_size', 
	            array(
	                'default'           =>$default['capacious_h2_font_size'],
	                'sanitize_callback' => 'absint',
	                
		       	)
	    );

		 $wp_customize->add_control('capacious_h2_font_size', array(
	         'label'     => __('H2 Font Size', 'capacious' ),
	        'section'   => 'capacious_fonts_size_option',
	        'type'      => 'number',
	        'priority'  => 10

	    ) );  


	  /**
		 * H3 Font Size
	   */
	   $wp_customize->add_setting(
	        'capacious_h3_font_size', 
	            array(
	                'default'           => $default['capacious_h3_font_size'],
	                'sanitize_callback' => 'absint',
	               
		       	)
	    );

		 $wp_customize->add_control('capacious_h3_font_size', array(
	         'label'     => __('H3 Font Size', 'capacious' ),
	        'section'   => 'capacious_fonts_size_option',
	        'type'      => 'number',
	        'priority'  => 10

	    ) ); 


	  /**
		 * H4 Font Size
	   */
	   $wp_customize->add_setting(
	        'capacious_h4_font_size', 
	            array(
	                'default'           =>  $default['capacious_h4_font_size'],
	                'sanitize_callback' => 'absint',
	               
		       	)
	    );

		 $wp_customize->add_control('capacious_h4_font_size', array(
	         'label'     => __('H4 Font Size', 'capacious' ),
	        'section'   => 'capacious_fonts_size_option',
	        'type'      => 'number',
	        'priority'  => 10

	    ) );       


	  /**
		 * H5 Font Size
	   */
	   $wp_customize->add_setting(
	        'capacious_h5_font_size', 
	            array(
	                'default'           =>$default['capacious_h5_font_size'],
	                'sanitize_callback' => 'absint',
	               
		       	)
	    );

		 $wp_customize->add_control('capacious_h5_font_size', array(
	         'label'     => __('H5 Font Size', 'capacious' ),
	        'section'   => 'capacious_fonts_size_option',
	        'type'      => 'number',
	        'priority'  => 10

	    ) );  


     /**
		 * H6 Font Size
	   */
	   $wp_customize->add_setting(
	        'capacious_h6_font_size', 
	            array(
	                'default'           =>$default['capacious_h6_font_size'],
	                'sanitize_callback' => 'absint',
	               
		       	)
	    );

		 $wp_customize->add_control('capacious_h6_font_size', array(
	         'label'     => __('H6 Font Size', 'capacious' ),
	        'section'   => 'capacious_fonts_size_option',
	        'type'      => 'number',
	        'priority'  => 10

	    ) );  


	 /**
		 * Body font size
	   */
	   $wp_customize->add_setting(
	        'capacious_body_font_size', 
	            array(
	                'default'           =>  $default['capacious_body_font_size'],
	                'sanitize_callback' => 'absint',
	               
		       	)
	    );

		 $wp_customize->add_control('capacious_body_font_size', array(
	         'label'     => __('Body Font Size', 'capacious' ),
	        'section'   => 'capacious_fonts_size_option',
	        'type'      => 'number',
	        'priority'  => 10

	    ) );           		 