<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package capacious
 */
// retrieving Customizer Value 
$section_option = capacious_get_option( 'capacious_homepage_our_chairman_option');
if( $section_option != 'hide' ) {
	$section_title =  capacious_get_option( 'capacious_our_chairman_section_title'  );
	$section_sub_title =  capacious_get_option( 'capacious_our_chairman_section_sub_title' );
	$get_in_touch_text = capacious_get_option( 'capacious_our_chairman_get_in_touch_txt'  );
	$section_image =    capacious_get_option( 'capacious_our_chairman_section_image' );
	$no_of_words =    capacious_get_option( 'capacious_our_chairman_character_limit' );
	$section_page_id =  capacious_get_option( 'capacious_our_chairman_page_id');
	if($section_page_id!=0)
	{
?>
    <section class="ceo-section" style="background-image: url(<?php echo esc_url($section_image) ?>);">
      <div class="over-bg">
        <div class="container">
            <?php
			
			if( !empty( $section_page_id ) ) {
				$page_query = new WP_Query( 'page_id='.$section_page_id );
				if( $page_query->have_posts() ) {
					while( $page_query->have_posts() ) {
						$page_query->the_post();
						if(has_post_thumbnail())
						{
		                   $image_id = get_post_thumbnail_id();
		                   $image_url = wp_get_attachment_image_src($image_id,'full',true);
		                   $image_path= $image_url[0]
						
	    	    ?>
					            <div class="col-md-5 col-xs-12 col-sm-5 row wow fadeInLeft">
					                <div class="item hidden-xs">
							            <img src="<?php echo esc_url($image_path);?>" alt="">
							        </div>
						        </div>
						       <?php } ?> 
					            <div class=" <?php if(has_post_thumbnail()) { echo "col-md-6";} else { echo "col-md-12";} ?> col-xs-12 col-sm-6 col-md-offset-1 wow fadeInRight no-chairman-image">
					              <div class="item"> <span class="icon-box"> <i class="weight-icon indoor "></i> </span>
					                <header class="page-header section-header">
					                   <h1><?php echo esc_html($section_title) ?></h1>
					                   <span><?php echo esc_html($section_sub_title) ?></span> 
					                </header>   

						                 <p> <?php echo esc_html( wp_trim_words(get_the_content(),$no_of_words) );  ?> </p>
                                       <?php
                                       	if(!empty($get_in_touch_text))
                                        {		
                                       ?>
						                  <a href="<?php the_permalink(); ?>" class="btn-theme btn hvr-sweep-to-right"><?php echo esc_html($get_in_touch_text); ?></a>
						              <?php } ?>    
						              </div>
						         </div>
				       <?php
														
								}
							}
							wp_reset_postdata();
						}
					?>
             </div>
      </div>
    </section>
  <?php } } ?>