<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package capacious
 */

get_header();
$breadcrump_option=capacious_get_option('capacious_breadcrump_option');
 ?>
	<div class="header-space"></div>
	<section id="inner-title" class="inner-title">
		<div class="container">
			<div class="row">
				<div class="col-md-6 col-lg-6"><h2><?php the_title(); ?></h2></div>
				<div class="col-md-6 col-lg-6">
					<div class="breadcrumbs">
						  <?php 
				            if( 'disable' !=$breadcrump_option){
				                  if('advanced' == $breadcrump_option){
				                    if( function_exists('bcn_display')){
				                      echo '<div id="capacious-plus-breadcrumbs"><div class="breadcrumb-container">';
				                      bcn_display();
				                      echo "</div></div>";
				                    }
				                    else{
				                     capacious_pro_breadcrumb_trail();
				                    }
				                  }
				                  else{
				                   capacious_pro_breadcrumb_trail();
				                  }
				              }
				           ?>
					</div>
				</div>
			</div>
		</div>
	</section>
	<div id="main">
		<section id="single-section" class="single-section">
		  <div class="section-padding">
			<div class="container">
			  <div class="row">
				<div class="col-md-9 col-xs-12 item wow fadeInLeft">
						<?php
						 $post_navigation_layout=capacious_get_option( 'capacious_navigation_option');
						while ( have_posts() ) : the_post();

							get_template_part( 'template-parts/content','single');
                            
                            if($post_navigation_layout=="title-only")
                            {
                               the_post_navigation();
                            } elseif ($post_navigation_layout=="title-image") { ?>
                           <div id="cooler-nav" class="navigation">
									<?php $prevPost = get_previous_post(true);
									if($prevPost) {?>
									<div class="nav-box previous">
									<?php $prevthumbnail = get_the_post_thumbnail($prevPost->ID, array(150,100) );?>
									<?php previous_post_link('%link',"$prevthumbnail <p>%title</p>", TRUE); ?>
									</div>

									<?php } $nextPost = get_next_post(true);
									if($nextPost) { ?>
									<div class="nav-box next">
									<?php $nextthumbnail = get_the_post_thumbnail($nextPost->ID, array(150,100) ); ?>
									<?php next_post_link('%link',"$nextthumbnail <p>%title</p>", TRUE); ?>
									</div>
									<?php } ?>
							</div><!--#cooler-nav div -->

							<?php
                              }
                              else
                              {  ?> 

                                <div id="cooler-nav" class="navigation">
									<?php $prevPost = get_previous_post(true);
									if($prevPost) { ?>
									<div class="nav-box previous">
									<?php $prevthumbnail = get_the_post_thumbnail($prevPost->ID, array(150,100) );?>
									<?php previous_post_link('%link',"$prevthumbnail", TRUE); ?>
									</div>

									<?php } $nextPost = get_next_post(true);
									if($nextPost) { ?>
										<div class="nav-box next" style="float:right;">
											<?php $nextthumbnail = get_the_post_thumbnail($nextPost->ID, array(150,100) ); ?>
											<?php next_post_link('%link',"$nextthumbnail", TRUE); ?>
										</div>
									<?php } ?>
								</div>

                         <?php 	
                              }
                             
                            /**
							 * capacious_related_posts hook
							 * @since Capacious 1.0.0
							 *
							 * @hooked capacious_related_posts_belo -  10
							 */
							do_action('capacious_related_posts' ,get_the_ID() );
						 
                      
							// If comments are open or we have at least one comment, load up the comment template.
                        
							if ( comments_open() || get_comments_number() ) :
								comments_template();
							endif;

						endwhile; // End of the loop.
						?>
				</div>
				<?php get_sidebar(); ?>
			</div>
		</div>
		</div>
		</section>
	</div><!-- #primary -->

<?php
get_footer();
