<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package capacious
 */
$hide_show_feature_image= capacious_get_option( 'capacious_show_feature_image_option');
$image_size_option= capacious_get_option( 'capacious_image_display_option');
$description_option= capacious_get_option( 'capacious_blog_excerpt_option');
$description_lenght_option= capacious_get_option('capacious_description_lenght_option');
$readmore_text_option= capacious_get_option('capacious_readmore_text_blog_archive_option');
$show_comments_option= capacious_get_option('capacious_blog_show_comments_option');
?>
<article class="news-block  wow fadeInUp"  id="post-<?php the_ID(); ?>" >
	<div class="news-inner">
		<div class="row">
		   
			 <?php if(has_post_thumbnail()) { ?>
			<div class="post-thumbnail col-sm-6">
			  
		    	
		    	 <a href="<?php the_permalink(); ?>">
		       <?php   the_post_thumbnail($image_size_option, array('class' => 'img-responsive')); ?>
		          </a>  
	         
			</div>
		  <?php   } ?>
		 
			<div class="news-info <?php  if(has_post_thumbnail()) { echo "col-sm-6 text-left"; } else { echo "col-sm-12"; } ?> ">
				<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a> </h4>
				<div class="date"><?php capacious_post_date(); ?></div>
				<div class="content"><p>
				 <?php 
				    if($description_lenght_option==-1)
				     {
                        the_content();

				     } 
				     elseif ($description_lenght_option==0) 
				        {
				     		return;
				     	}
				     
				    else{		
		                   if($description_option=='content')
		                   {
		                   	 echo wp_trim_words(get_the_content(),$description_lenght_option);
		                   }
		                    else
		                   {
		                   	 echo wp_trim_words(get_the_excerpt(),$description_lenght_option);
		                   }
	                    }  
				 ?> 
				</p></div>
			
				<div class="name"><span><?php capacious_blog_list() ?></span></div>
             <?php if($show_comments_option==1) { ?>
				  <div class="comments"><i class="fa fa fa-comments" aria-hidden="true"></i><a href="<?php comments_link(); ?>"><?php comments_number( '0 comments', '1 comments', '% comments' ); ?></a></div>
			  <?php } ?>	
			</div>
		</div>
	</div>
</article>
