<?php
/**
 * The template for displaying all pages.
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Canyon Themes
 * @subpackage Quality Construction
 */
$breadcrump_option=capacious_get_option('capacious_breadcrump_option');
get_header();
?>

   <div class="header-space"></div>
	<section id="inner-title" class="inner-title">
		<div class="container">
			<div class="row">
				<div class="col-md-6 col-lg-6"><h2><?php esc_html_e('Store', 'capacious') ?></h2></div>
				<div class="col-md-6 col-lg-6">
					<div class="breadcrumbs">
						  <?php 
				            if( 'disable' !=$breadcrump_option){
				                  if('advanced' == $breadcrump_option){
				                    if( function_exists('bcn_display')){
				                      echo '<div id="capacious-plus-breadcrumbs"><div class="breadcrumb-container">';
				                      bcn_display();
				                      echo "</div></div>";
				                    }
				                    else{
				                     capacious_pro_breadcrumb_trail();
				                    }
				                  }
				                  else{
				                   capacious_pro_breadcrumb_trail();
				                  }
				              }
				           ?>
					</div>
				</div>
			</div>
		</div>
	</section>
    <section id="primary" class="content-area section-padding">
		<div class="container">
			<div class="row">
				<div class="col-sm-9 col-md-9 col-xs-12 item wow fadeInLeft">
					<main id="main" class="site-main" role="main">
						 <?php if (have_posts()) :
                              woocommerce_content();
                              endif;
                        ?>
					</main><!-- #main -->
				</div>
				<?php get_sidebar(); ?>
			</div>
		</div>
	</section><!-- #primary -->
<?php get_footer();