<?php
/**
 * Post Navigation
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return void
 *
 */
if ( !function_exists('quality_construction_posts_navigation') ) :
    function quality_construction_posts_navigation() {
        $quality_construction_pagination_option = get_theme_mod( 'quality_construction_post_pagination_option', 'default' );
        if( 'default' == $quality_construction_pagination_option ){
            the_posts_navigation();
        }
        else{
                the_posts_pagination( array(
                'mid_size' => 4,
                'prev_text' => __( 'Previous', 'quality-construction' ),
                'next_text' => __( 'Next', 'quality-construction' ),
               ) );

        }
    }
endif;
add_action( 'quality_construction_action_navigation', 'quality_construction_posts_navigation', 10 );
