<?php
/**
 * The template for displaying all pages
 * Template Name: Services
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Canyon Themes
 * @subpackage Quality Construction
 */
get_header();
$header_image = get_header_image();
if( $header_image ){
	$header_style = 'style="background-image: url('.esc_url( $header_image ).');background-size: cover;background-attachment: fixed;"';
} else{
	$header_style = '';
}
$quality_construction_breadcrump_option = quality_construction_get_option('quality_construction_breadcrumb_setting_option'); ?>
	<section id="inner-title" class="inner-title"  <?php echo $header_style; ?>>
	  <div class="container">
	    <div class="row">
	      <div class="col-md-8"><h2><?php the_title();?></h2></div>
			<?php
			if ($quality_construction_breadcrump_option == "simple")
			{
				?>
				<div class="col-md-4">
					<div class="breadcrumbs">
						<?php
						if('advanced' == $quality_construction_breadcrump_option)
						{
							if( function_exists('bcn_display'))
							{
								echo '<div id="quality-construction-breadcrumbs"><div class="breadcrumb-container">';
								bcn_display();
								echo "</div></div>";
							}
							else
							{
								breadcrumb_trail();
							}
						}
						else
						{
							breadcrumb_trail();
						}
						?>
					</div>
				</div>
			<?php } ?>
	    </div>
	  </div>
	</section> 

<?php 
      
      if (is_active_sidebar( 'quality-construction-service-page' ))
      {
         dynamic_sidebar('quality-construction-service-page'); 
      }
get_footer();
